<?php

/**
 * @file
 * Views for the Billing module of the Cura Childcare Suite.
 */

/**
 * Implements hook_views_default_views().
 */
function cura_billing_views_default_views() {
  $views = array();

  // Define the invoices view.
  $view = new view();
  $view->name = 'cura_billing_invoices';
  $view->description = 'Display the invoices in the Cura Childcare Suite.';
  $view->tag = 'cura, cura billing';
  $view->base_table = 'cura_invoices';
  $view->human_name = 'Invoices';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Invoices';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Relationship: Invoice: Child ID */
  $handler->display->display_options['relationships']['child_id']['id'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['table'] = 'cura_invoices';
  $handler->display->display_options['relationships']['child_id']['field'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['label'] = 'Child reference';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_id_target_id']['id'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['table'] = 'field_data_field_account_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['field'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['relationship'] = 'child_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['label'] = 'Account referenced from field_account_id';
  /* Field: Invoice: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Invoice: Invoice ID */
  $handler->display->display_options['fields']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['label'] = 'Invoice #';
  $handler->display->display_options['fields']['invoice_id']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['invoice_id']['alter']['text'] = '[invoice_id]';
  $handler->display->display_options['fields']['invoice_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['invoice_id']['alter']['path'] = 'invoice/[invoice_id]?destination=invoices';
  $handler->display->display_options['fields']['invoice_id']['alter']['alt'] = 'Show invoice';
  $handler->display->display_options['fields']['invoice_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['invoice_id']['separator'] = '';
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_firstname']['label'] = '';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_lastname']['label'] = 'Child';
  $handler->display->display_options['fields']['cura_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['text'] = '[cura_lastname], [cura_firstname]';
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Account number */
  $handler->display->display_options['fields']['field_account_number']['id'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['fields']['field_account_number']['field'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['fields']['field_account_number']['element_label_colon'] = FALSE;
  /* Field: Invoice: Currency_code */
  $handler->display->display_options['fields']['currency_code']['id'] = 'currency_code';
  $handler->display->display_options['fields']['currency_code']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['currency_code']['field'] = 'currency_code';
  $handler->display->display_options['fields']['currency_code']['label'] = '';
  $handler->display->display_options['fields']['currency_code']['exclude'] = TRUE;
  $handler->display->display_options['fields']['currency_code']['element_label_colon'] = FALSE;
  /* Field: Invoice: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['amount']['alter']['text'] = '[currency_code] [amount]';
  $handler->display->display_options['fields']['amount']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['separator'] = ' ';
  /* Sort criterion: Invoice: Date */
  $handler->display->display_options['sorts']['date']['id'] = 'date';
  $handler->display->display_options['sorts']['date']['table'] = 'cura_invoices';
  $handler->display->display_options['sorts']['date']['field'] = 'date';
  $handler->display->display_options['sorts']['date']['order'] = 'DESC';
  $handler->display->display_options['sorts']['date']['granularity'] = 'day';
  /* Sort criterion: Invoice: Invoice ID */
  $handler->display->display_options['sorts']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['sorts']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['sorts']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['sorts']['invoice_id']['order'] = 'DESC';
  /* Filter criterion: Invoice: Invoice ID */
  $handler->display->display_options['filters']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['filters']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['filters']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['filters']['invoice_id']['group'] = 1;
  $handler->display->display_options['filters']['invoice_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['invoice_id']['expose']['operator_id'] = 'invoice_id_op';
  $handler->display->display_options['filters']['invoice_id']['expose']['label'] = 'Invoice #';
  $handler->display->display_options['filters']['invoice_id']['expose']['operator'] = 'invoice_id_op';
  $handler->display->display_options['filters']['invoice_id']['expose']['identifier'] = 'invoice_id';
  $handler->display->display_options['filters']['invoice_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['filters']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['relationship'] = 'child_id';
  $handler->display->display_options['filters']['cura_lastname_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['cura_lastname_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator_id'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['label'] = 'Child lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['identifier'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Invoice: Status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'cura_invoices';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );

  /* Display: Invoices */
  $handler = $view->new_display('page', 'Invoices', 'page');
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total invoices';
  $handler->display->display_options['path'] = 'invoices';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Invoices';
  $handler->display->display_options['menu']['weight'] = '-20';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Invoice */
  $handler = $view->new_display('page', 'Invoice', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Page to display invoice';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Invoice: Child ID */
  $handler->display->display_options['relationships']['child_id']['id'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['table'] = 'cura_invoices';
  $handler->display->display_options['relationships']['child_id']['field'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['label'] = 'Child reference';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_id_target_id']['id'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['table'] = 'field_data_field_account_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['field'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['relationship'] = 'child_id';
  /* Relationship: Invoice: Invoice line */
  $handler->display->display_options['relationships']['cura_invoice_lines']['id'] = 'cura_invoice_lines';
  $handler->display->display_options['relationships']['cura_invoice_lines']['table'] = 'cura_invoices';
  $handler->display->display_options['relationships']['cura_invoice_lines']['field'] = 'cura_invoice_lines';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Invoice line: Product */
  $handler->display->display_options['fields']['product']['id'] = 'product';
  $handler->display->display_options['fields']['product']['table'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['product']['field'] = 'product';
  $handler->display->display_options['fields']['product']['relationship'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['product']['element_label_colon'] = FALSE;
  /* Field: Invoice line: Quantity */
  $handler->display->display_options['fields']['quantity']['id'] = 'quantity';
  $handler->display->display_options['fields']['quantity']['table'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['quantity']['field'] = 'quantity';
  $handler->display->display_options['fields']['quantity']['relationship'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['quantity']['label'] = 'Qty';
  $handler->display->display_options['fields']['quantity']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['quantity']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['quantity']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['quantity']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['quantity']['precision'] = '2';
  $handler->display->display_options['fields']['quantity']['separator'] = ' ';
  /* Field: Invoice line: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['relationship'] = 'cura_invoice_lines';
  $handler->display->display_options['fields']['amount']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['amount']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['amount']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['separator'] = ' ';
  /* Field: Global: Math expression */
  $handler->display->display_options['fields']['expression']['id'] = 'expression';
  $handler->display->display_options['fields']['expression']['table'] = 'views';
  $handler->display->display_options['fields']['expression']['field'] = 'expression';
  $handler->display->display_options['fields']['expression']['label'] = 'Total';
  $handler->display->display_options['fields']['expression']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['expression']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['expression']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['expression']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['expression']['precision'] = '2';
  $handler->display->display_options['fields']['expression']['separator'] = ' ';
  $handler->display->display_options['fields']['expression']['expression'] = '[quantity] * [amount]';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Invoice: Invoice ID */
  $handler->display->display_options['arguments']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['arguments']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['default_action'] = 'access denied';
  $handler->display->display_options['arguments']['invoice_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['invoice_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['invoice_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['invoice_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['path'] = 'invoice';

  /* Display: Invoice header */
  $handler = $view->new_display('attachment', 'Invoice header', 'attachment_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Invoice header';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Invoice: Child ID */
  $handler->display->display_options['relationships']['child_id']['id'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['table'] = 'cura_invoices';
  $handler->display->display_options['relationships']['child_id']['field'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['label'] = 'Child';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_id_target_id']['id'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['table'] = 'field_data_field_account_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['field'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['relationship'] = 'child_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['label'] = 'Account referenced from field_account_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_owner_target_id']['id'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['table'] = 'field_data_field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['field'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['label'] = 'Person referenced from field_account_owner';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Invoice: Invoice ID */
  $handler->display->display_options['fields']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['label'] = 'Invoice #';
  $handler->display->display_options['fields']['invoice_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['invoice_id']['alter']['text'] = '[invoice_id]';
  $handler->display->display_options['fields']['invoice_id']['alter']['path'] = 'invoice-new/[invoice_id]?destination=invoices-new';
  $handler->display->display_options['fields']['invoice_id']['alter']['alt'] = 'Show invoice';
  $handler->display->display_options['fields']['invoice_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['invoice_id']['separator'] = '';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['field_person_title']['id'] = 'field_person_title';
  $handler->display->display_options['fields']['field_person_title']['table'] = 'field_data_field_person_title';
  $handler->display->display_options['fields']['field_person_title']['field'] = 'field_person_title';
  $handler->display->display_options['fields']['field_person_title']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_person_title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_person_title']['element_label_colon'] = FALSE;
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address */
  $handler->display->display_options['fields']['field_physical_address']['id'] = 'field_physical_address';
  $handler->display->display_options['fields']['field_physical_address']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address']['field'] = 'field_physical_address';
  $handler->display->display_options['fields']['field_physical_address']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_physical_address']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address']['alter']['text'] = '[field_physical_address-thoroughfare]<br>
  [field_physical_address-locality], [field_physical_address-administrative_area] [field_physical_address-postal_code]<br>
  United Kingdom';
  $handler->display->display_options['fields']['field_physical_address']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_physical_address']['click_sort_column'] = 'country';
  $handler->display->display_options['fields']['field_physical_address']['settings'] = array(
    'use_widget_handlers' => 1,
    'format_handlers' => array(
      'address' => 'address',
    ),
  );
  /* Field: Field: Email */
  $handler->display->display_options['fields']['field_email']['id'] = 'field_email';
  $handler->display->display_options['fields']['field_email']['table'] = 'field_data_field_email';
  $handler->display->display_options['fields']['field_email']['field'] = 'field_email';
  $handler->display->display_options['fields']['field_email']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_email']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_email']['element_label_colon'] = FALSE;
  /* Field: Field: Mobile */
  $handler->display->display_options['fields']['field_mobile']['id'] = 'field_mobile';
  $handler->display->display_options['fields']['field_mobile']['table'] = 'field_data_field_mobile';
  $handler->display->display_options['fields']['field_mobile']['field'] = 'field_mobile';
  $handler->display->display_options['fields']['field_mobile']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_mobile']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_mobile']['element_label_colon'] = FALSE;
  /* Field: Invoice: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'D, d M Y';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Invoice: Due_date */
  $handler->display->display_options['fields']['due_date']['id'] = 'due_date';
  $handler->display->display_options['fields']['due_date']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['due_date']['field'] = 'due_date';
  $handler->display->display_options['fields']['due_date']['label'] = 'Due date';
  $handler->display->display_options['fields']['due_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['due_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['due_date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['due_date']['custom_date_format'] = 'D, d M Y';
  $handler->display->display_options['fields']['due_date']['second_date_format'] = 'long';
  /* Field: Content: Account number */
  $handler->display->display_options['fields']['field_account_number']['id'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['fields']['field_account_number']['field'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['fields']['field_account_number']['label'] = 'Account #';
  $handler->display->display_options['fields']['field_account_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_account_number']['element_label_colon'] = FALSE;
  /* Field: Invoice: Child ID */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['child_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['child_id']['separator'] = '';
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Start date */
  $handler->display->display_options['fields']['field_child_start_date']['id'] = 'field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['table'] = 'field_data_field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['field'] = 'field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['field_child_start_date']['label'] = 'Start';
  $handler->display->display_options['fields']['field_child_start_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_child_start_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_child_start_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  /* Field: Content: Finish date */
  $handler->display->display_options['fields']['field_child_finish_date']['id'] = 'field_child_finish_date';
  $handler->display->display_options['fields']['field_child_finish_date']['table'] = 'field_data_field_child_finish_date';
  $handler->display->display_options['fields']['field_child_finish_date']['field'] = 'field_child_finish_date';
  $handler->display->display_options['fields']['field_child_finish_date']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['field_child_finish_date']['label'] = 'Finish';
  $handler->display->display_options['fields']['field_child_finish_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_child_finish_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_child_finish_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  /* Field: Invoice: Description */
  $handler->display->display_options['fields']['description']['id'] = 'description';
  $handler->display->display_options['fields']['description']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['description']['field'] = 'description';
  $handler->display->display_options['fields']['description']['exclude'] = TRUE;
  $handler->display->display_options['fields']['description']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['description']['alter']['nl2br'] = TRUE;
  $handler->display->display_options['fields']['description']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<h3>Invoice</h3>
  <table class="table">
    <tr>
      <td width="50%">[field_person_title] [field_firstname] [field_lastname]<br>
      [field_physical_address]<br><br>
      <span class="glyphicon glyphicon-envelope" aria-hidden="true"></span>&nbsp;&nbsp;[field_email]<br>
      <span class="glyphicon glyphicon-earphone" aria-hidden="true"></span>&nbsp;&nbsp;[field_mobile]
      <td width="50%">Invoice # <a href="/invoice/[invoice_id]/notes" title="Display the invoice notes">[invoice_id]</a><br>Date: [date]<br>Due: [due_date]<br>Account # [field_account_number]<br>Child: [cura_firstname] [cura_lastname] ([child_id])<br>Start: [field_child_start_date]<br>Finish: [field_child_finish_date]
  </table>
  <p class="invoice">[description]</p>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Invoice: Invoice ID */
  $handler->display->display_options['arguments']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['arguments']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['default_action'] = 'access denied';
  $handler->display->display_options['arguments']['invoice_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['invoice_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['invoice_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['invoice_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'page_1' => 'page_1',
    'default' => 0,
    'page' => 0,
  );

  /* Display: Invoice footer */
  $handler = $view->new_display('attachment', 'Invoice footer', 'attachment_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Invoice footer';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'amount' => 'amount',
    'invoice_id' => 'invoice_id',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'invoice_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Footer: Global: Text area */
  $handler->display->display_options['footer']['area']['id'] = 'area';
  $handler->display->display_options['footer']['area']['table'] = 'views';
  $handler->display->display_options['footer']['area']['field'] = 'area';
  $handler->display->display_options['footer']['area']['empty'] = TRUE;
  $handler->display->display_options['footer']['area']['content'] = '<div style="font-size:0.85em"><p>A late payment fee of <?php print cura_product_price_get(variable_get(\'cura_late_product_id\', \'0\')); ?> will be charged if payment is not received within 4 weeks of the invoice date.</p>

  <p>Please make cheques payable to &lsquo;<?php print variable_get(\'cura_org_name\', \'us\'); ?>&rsquo; and write your child&#39;s name on the back. If you are paying by electronic bank transfer our bank account details are <em>HSBC, Summertown branch, account number 71206338, sort code 40-35-35</em> and remember to use your child\'s name as the payment reference.</p>

  <p>Contact us if any of the information on this invoice is incorrect.</p>

  <p>Also note that we require a full school term notice if you want to reduce the amount of sessions your child attends. That is, if a term has already started we will only be able to reduce your sessions from the end of the following term.</p></div>

  <p class="hidden-print"><a href="/invoices">Back to invoices</a></p>';
  $handler->display->display_options['footer']['area']['format'] = 'php_code';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Invoice: Invoice ID */
  $handler->display->display_options['fields']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['fields']['invoice_id']['label'] = '';
  $handler->display->display_options['fields']['invoice_id']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['invoice_id']['alter']['text'] = '<b>Total</b>';
  $handler->display->display_options['fields']['invoice_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['invoice_id']['separator'] = '';
  /* Field: Invoice: Currency_code */
  $handler->display->display_options['fields']['currency_code']['id'] = 'currency_code';
  $handler->display->display_options['fields']['currency_code']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['currency_code']['field'] = 'currency_code';
  $handler->display->display_options['fields']['currency_code']['label'] = '';
  $handler->display->display_options['fields']['currency_code']['exclude'] = TRUE;
  $handler->display->display_options['fields']['currency_code']['element_label_colon'] = FALSE;
  /* Field: Invoice: Amount */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['label'] = '';
  $handler->display->display_options['fields']['amount']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['amount']['alter']['text'] = '[currency_code] [amount]';
  $handler->display->display_options['fields']['amount']['element_type'] = 'strong';
  $handler->display->display_options['fields']['amount']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['amount']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['separator'] = ' ';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Invoice: Invoice ID */
  $handler->display->display_options['arguments']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['arguments']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['default_action'] = 'access denied';
  $handler->display->display_options['arguments']['invoice_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['invoice_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['invoice_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['invoice_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'page_1' => 'page_1',
    'default' => 0,
    'page' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  /* Display: Invoice notes */
  $handler = $view->new_display('page', 'Invoice notes', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Invoice notes';
  $handler->display->display_options['display_description'] = 'Invoice notes';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['default_field_elements'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Invoice: Notes */
  $handler->display->display_options['fields']['notes']['id'] = 'notes';
  $handler->display->display_options['fields']['notes']['table'] = 'cura_invoices';
  $handler->display->display_options['fields']['notes']['field'] = 'notes';
  $handler->display->display_options['fields']['notes']['label'] = '';
  $handler->display->display_options['fields']['notes']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['notes']['alter']['text'] = '[notes]';
  $handler->display->display_options['fields']['notes']['alter']['nl2br'] = TRUE;
  $handler->display->display_options['fields']['notes']['alter']['trim'] = TRUE;
  $handler->display->display_options['fields']['notes']['alter']['html'] = TRUE;
  $handler->display->display_options['fields']['notes']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['notes']['element_default_classes'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Invoice: Invoice ID */
  $handler->display->display_options['arguments']['invoice_id']['id'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['table'] = 'cura_invoices';
  $handler->display->display_options['arguments']['invoice_id']['field'] = 'invoice_id';
  $handler->display->display_options['arguments']['invoice_id']['default_action'] = 'access denied';
  $handler->display->display_options['arguments']['invoice_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['invoice_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['invoice_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['invoice_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['path'] = 'invoice/%/notes';

  $views[$view->name] = $view;

  // Define the orders view.
  $view = new view();
  $view->name = 'cura_billing_orders';
  $view->description = 'Display the orders in the Cura Childcare Suite.';
  $view->tag = 'cura, cura billing';
  $view->base_table = 'commerce_order';
  $view->human_name = 'Orders';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Orders';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    2 => '2',
    5 => '5',
    6 => '6',
    4 => '4',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Relationship: Commerce Order: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'commerce_order';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['order_id']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Date';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: Commerce Order: Edit link */
  $handler->display->display_options['fields']['edit_order']['id'] = 'edit_order';
  $handler->display->display_options['fields']['edit_order']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['edit_order']['field'] = 'edit_order';
  $handler->display->display_options['fields']['edit_order']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_order']['element_label_colon'] = FALSE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Owner';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order type */
  $handler->display->display_options['fields']['field_order_type']['id'] = 'field_order_type';
  $handler->display->display_options['fields']['field_order_type']['table'] = 'field_data_field_order_type';
  $handler->display->display_options['fields']['field_order_type']['field'] = 'field_order_type';
  $handler->display->display_options['fields']['field_order_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_order_type']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_order_type']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Commerce Order: Order total */
  $handler->display->display_options['fields']['commerce_order_total']['id'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['table'] = 'field_data_commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['field'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['label'] = 'Total';
  $handler->display->display_options['fields']['commerce_order_total']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['commerce_order_total']['click_sort_column'] = 'amount';
  $handler->display->display_options['fields']['commerce_order_total']['settings'] = array(
    'calculation' => FALSE,
  );
  /* Field: Commerce Order: Order Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  $handler->display->display_options['fields']['balance']['label'] = 'Balance';
  $handler->display->display_options['fields']['balance']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['label'] = 'Status';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  /* Sort criterion: Commerce Order: Created date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'commerce_order';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['sorts']['created']['expose']['label'] = 'Created date';
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 1;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Owner';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Commerce Order: Order type (field_order_type) */
  $handler->display->display_options['filters']['field_order_type_tid']['id'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['table'] = 'field_data_field_order_type';
  $handler->display->display_options['filters']['field_order_type_tid']['field'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_order_type_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['operator_id'] = 'field_order_type_tid_op';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['label'] = 'Order type';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['operator'] = 'field_order_type_tid_op';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['identifier'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_order_type_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_order_type_tid']['vocabulary'] = 'order_type';
  $handler->display->display_options['filters']['field_order_type_tid']['hierarchy'] = 1;

  /* Display: All orders */
  $handler = $view->new_display('page', 'All orders', 'page');
  $handler->display->display_options['display_description'] = 'List of all orders.';
  $handler->display->display_options['exposed_block'] = TRUE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Commerce Order: Owner */
  $handler->display->display_options['relationships']['uid']['id'] = 'uid';
  $handler->display->display_options['relationships']['uid']['table'] = 'commerce_order';
  $handler->display->display_options['relationships']['uid']['field'] = 'uid';
  $handler->display->display_options['relationships']['uid']['required'] = TRUE;
  /* Relationship: Entity Reference: Referencing entity */
  $handler->display->display_options['relationships']['reverse_field_user_id_node']['id'] = 'reverse_field_user_id_node';
  $handler->display->display_options['relationships']['reverse_field_user_id_node']['table'] = 'users';
  $handler->display->display_options['relationships']['reverse_field_user_id_node']['field'] = 'reverse_field_user_id_node';
  $handler->display->display_options['relationships']['reverse_field_user_id_node']['relationship'] = 'uid';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['order_id']['link_to_order'] = 'admin';
  /* Field: Commerce Order: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Date';
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: Commerce Order: Edit link */
  $handler->display->display_options['fields']['edit_order']['id'] = 'edit_order';
  $handler->display->display_options['fields']['edit_order']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['edit_order']['field'] = 'edit_order';
  $handler->display->display_options['fields']['edit_order']['exclude'] = TRUE;
  $handler->display->display_options['fields']['edit_order']['element_label_colon'] = FALSE;
  /* Field: User: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'users';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'uid';
  $handler->display->display_options['fields']['name']['label'] = 'Owner';
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order type */
  $handler->display->display_options['fields']['field_order_type']['id'] = 'field_order_type';
  $handler->display->display_options['fields']['field_order_type']['table'] = 'field_data_field_order_type';
  $handler->display->display_options['fields']['field_order_type']['field'] = 'field_order_type';
  $handler->display->display_options['fields']['field_order_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_order_type']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_order_type']['type'] = 'taxonomy_term_reference_plain';
  /* Field: Commerce Order: Order total */
  $handler->display->display_options['fields']['commerce_order_total']['id'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['table'] = 'field_data_commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['field'] = 'commerce_order_total';
  $handler->display->display_options['fields']['commerce_order_total']['label'] = 'Total';
  $handler->display->display_options['fields']['commerce_order_total']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['commerce_order_total']['click_sort_column'] = 'amount';
  $handler->display->display_options['fields']['commerce_order_total']['settings'] = array(
    'calculation' => FALSE,
  );
  /* Field: Commerce Order: Order Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  $handler->display->display_options['fields']['balance']['label'] = 'Balance';
  $handler->display->display_options['fields']['balance']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order status */
  $handler->display->display_options['fields']['status']['id'] = 'status';
  $handler->display->display_options['fields']['status']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['status']['field'] = 'status';
  $handler->display->display_options['fields']['status']['label'] = 'Status';
  $handler->display->display_options['fields']['status']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Commerce Order: Created date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'commerce_order';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['order'] = 'DESC';
  $handler->display->display_options['sorts']['created']['expose']['label'] = 'Created date';
  $handler->display->display_options['sorts']['created']['granularity'] = 'day';
  /* Sort criterion: Content: Lastname (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'reverse_field_user_id_node';
  /* Sort criterion: Content: Firstname (field_firstname) */
  $handler->display->display_options['sorts']['field_firstname_value']['id'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['sorts']['field_firstname_value']['field'] = 'field_firstname_value';
  $handler->display->display_options['sorts']['field_firstname_value']['relationship'] = 'reverse_field_user_id_node';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: User: Name */
  $handler->display->display_options['filters']['uid']['id'] = 'uid';
  $handler->display->display_options['filters']['uid']['table'] = 'users';
  $handler->display->display_options['filters']['uid']['field'] = 'uid';
  $handler->display->display_options['filters']['uid']['relationship'] = 'uid';
  $handler->display->display_options['filters']['uid']['value'] = '';
  $handler->display->display_options['filters']['uid']['group'] = 1;
  $handler->display->display_options['filters']['uid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['operator_id'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['label'] = 'Owner';
  $handler->display->display_options['filters']['uid']['expose']['operator'] = 'uid_op';
  $handler->display->display_options['filters']['uid']['expose']['identifier'] = 'uid';
  $handler->display->display_options['filters']['uid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['uid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Commerce Order: Order type (field_order_type) */
  $handler->display->display_options['filters']['field_order_type_tid']['id'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['table'] = 'field_data_field_order_type';
  $handler->display->display_options['filters']['field_order_type_tid']['field'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['group'] = 1;
  $handler->display->display_options['filters']['field_order_type_tid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['operator_id'] = 'field_order_type_tid_op';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['label'] = 'Order type';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['operator'] = 'field_order_type_tid_op';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['identifier'] = 'field_order_type_tid';
  $handler->display->display_options['filters']['field_order_type_tid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_order_type_tid']['type'] = 'select';
  $handler->display->display_options['filters']['field_order_type_tid']['vocabulary'] = 'order_type';
  $handler->display->display_options['filters']['field_order_type_tid']['hierarchy'] = 1;
  /* Filter criterion: Commerce Order: Order status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = array(
    'cart' => 'cart',
    'checkout_checkout' => 'checkout_checkout',
    'checkout_review' => 'checkout_review',
    'checkout_payment' => 'checkout_payment',
    'checkout_complete' => 'checkout_complete',
    'pending' => 'pending',
    'processing' => 'processing',
  );
  $handler->display->display_options['filters']['status']['exposed'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['operator_id'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['status']['expose']['operator'] = 'status_op';
  $handler->display->display_options['filters']['status']['expose']['identifier'] = 'status';
  $handler->display->display_options['filters']['status']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['multiple'] = TRUE;
  $handler->display->display_options['filters']['status']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['path'] = 'orders';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Orders';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: My orders */
  $handler = $view->new_display('block', 'My orders', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Open orders';
  $handler->display->display_options['display_description'] = 'Open orders for a user.';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '5';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['default_row_class'] = FALSE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['footer'] = FALSE;
  /* Footer: Global: Text area */
  $handler->display->display_options['footer']['area']['id'] = 'area';
  $handler->display->display_options['footer']['area']['table'] = 'views';
  $handler->display->display_options['footer']['area']['field'] = 'area';
  $handler->display->display_options['footer']['area']['content'] = '<br><p><small>If you have already made payment on these orders don\'t fret, it takes us a bit of time to close them off after confirming receipt of the funds in our bank account. If not, well you know what to do :-)</p>';
  $handler->display->display_options['footer']['area']['format'] = 'full_html';
  $handler->display->display_options['footer']['area']['tokenize'] = TRUE;
  /* Footer: Global: Text area */
  $handler->display->display_options['footer']['area_1']['id'] = 'area_1';
  $handler->display->display_options['footer']['area_1']['table'] = 'views';
  $handler->display->display_options['footer']['area_1']['field'] = 'area';
  $handler->display->display_options['footer']['area_1']['empty'] = TRUE;
  $handler->display->display_options['footer']['area_1']['content'] = '<p>Go <a href="user/!1/orders">here to see completed orders</a>.</small></p>';
  $handler->display->display_options['footer']['area_1']['format'] = 'full_html';
  $handler->display->display_options['footer']['area_1']['tokenize'] = TRUE;
  $handler->display->display_options['defaults']['empty'] = FALSE;
  /* No results behavior: Global: Text area */
  $handler->display->display_options['empty']['area']['id'] = 'area';
  $handler->display->display_options['empty']['area']['table'] = 'views';
  $handler->display->display_options['empty']['area']['field'] = 'area';
  $handler->display->display_options['empty']['area']['empty'] = TRUE;
  $handler->display->display_options['empty']['area']['content'] = 'Hooray! Nothing to pay!';
  $handler->display->display_options['empty']['area']['format'] = 'full_html';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Commerce Order: Created date */
  $handler->display->display_options['fields']['created']['id'] = 'created';
  $handler->display->display_options['fields']['created']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['created']['field'] = 'created';
  $handler->display->display_options['fields']['created']['label'] = 'Date';
  $handler->display->display_options['fields']['created']['exclude'] = TRUE;
  $handler->display->display_options['fields']['created']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['created']['date_format'] = 'custom';
  $handler->display->display_options['fields']['created']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['created']['second_date_format'] = 'long';
  /* Field: Commerce Order: Order ID */
  $handler->display->display_options['fields']['order_id']['id'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['order_id']['field'] = 'order_id';
  $handler->display->display_options['fields']['order_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['order_id']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['order_id']['alter']['text'] = 'Order [order_id]';
  $handler->display->display_options['fields']['order_id']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['order_id']['alter']['path'] = 'checkout/[order_id]';
  $handler->display->display_options['fields']['order_id']['element_label_colon'] = FALSE;
  /* Field: Commerce Order: Order Balance */
  $handler->display->display_options['fields']['balance']['id'] = 'balance';
  $handler->display->display_options['fields']['balance']['table'] = 'commerce_order';
  $handler->display->display_options['fields']['balance']['field'] = 'balance';
  $handler->display->display_options['fields']['balance']['label'] = 'Balance';
  $handler->display->display_options['fields']['balance']['exclude'] = TRUE;
  $handler->display->display_options['fields']['balance']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<p><div class="pull-left">[created]  [order_id]</div><div class="text-right">[balance]</div></p>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Commerce Order: Created date */
  $handler->display->display_options['sorts']['created']['id'] = 'created';
  $handler->display->display_options['sorts']['created']['table'] = 'commerce_order';
  $handler->display->display_options['sorts']['created']['field'] = 'created';
  $handler->display->display_options['sorts']['created']['expose']['label'] = 'Created date';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: User: Uid */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'users';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['relationship'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Commerce Order: Order status */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'commerce_order';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = array(
    'cart' => 'cart',
    'checkout_checkout' => 'checkout_checkout',
    'checkout_review' => 'checkout_review',
    'checkout_payment' => 'checkout_payment',
    'checkout_complete' => 'checkout_complete',
    'pending' => 'pending',
    'processing' => 'processing',
  );
  $handler->display->display_options['block_description'] = 'My orders';

  $views[$view->name] = $view;

  return $views;
}

