<?php

/**
 * Views for the Cura Childcare Suite.
 */

/**
 * Implements hook_views_default_views().
 */
function cura_views_default_views() {
  $views = array();

  // Define the calendar view.
  $view = new view();
  $view->name = 'cura_calendar';
  $view->description = 'Calendar views for the Cura Childcare Suite.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Calendar';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Public calendar';
  $handler->display->display_options['use_ajax'] = TRUE;
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'date_views_pager';
  $handler->display->display_options['pager']['options']['date_id'] = 'month';
  $handler->display->display_options['pager']['options']['link_format'] = 'clean';
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['row_plugin'] = 'fields';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Contextual filter: Date: Date (node) */
  $handler->display->display_options['arguments']['date_argument']['id'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['table'] = 'node';
  $handler->display->display_options['arguments']['date_argument']['field'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['default_action'] = 'default';
  $handler->display->display_options['arguments']['date_argument']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['date_argument']['year_range'] = '-10:+10';
  $handler->display->display_options['arguments']['date_argument']['add_delta'] = 'yes';
  $handler->display->display_options['arguments']['date_argument']['date_fields'] = array(
    'field_data_field_calendar_date.field_calendar_date_value' => 'field_data_field_calendar_date.field_calendar_date_value',
  );
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;

  /* Display: Public calendar (Month) */
  $handler = $view->new_display('block', 'Public calendar (Month)', 'block');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Displays the public calendar in month view.';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    1 => '1',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'date_views_pager';
  $handler->display->display_options['pager']['options']['date_id'] = 'month';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['mini'] = '0';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '1';
  $handler->display->display_options['style_options']['theme_style'] = '1';
  $handler->display->display_options['style_options']['max_items'] = '5';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'calendar_entity';
  $handler->display->display_options['row_options']['colors']['legend'] = 'type';
  $handler->display->display_options['row_options']['colors']['calendar_colors_type'] = array(
    'account' => '#ffffff',
    'article' => '#ffffff',
    'page' => '#ffffff',
    'child' => '#ffffff',
    'closure' => '#ff0000',
    'date' => '#ffffff',
    'event' => '#37d86d',
    'holiday' => '#ff0000',
    'meeting' => '#37d86d',
    'person' => '#ffffff',
    'poll' => '#ffffff',
    'staff' => '#ffffff',
    'webform' => '#ffffff',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['block_description'] = 'Public calendar (Month)';

  /* Display: Public upcoming */
  $handler = $view->new_display('block', 'Public upcoming', 'block_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Upcoming events';
  $handler->display->display_options['display_description'] = 'Upcoming calendar items for public/anonymous access';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    1 => '1',
  );
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'field_calendar_date_1',
      'rendered' => 1,
      'rendered_strip' => 1,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date']['alter']['text'] = 'echo date("M", strtotime($data->node_data_field_date_field_date_value));';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'mon_1st',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_calendar_date']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Field: Month grouping */
  $handler->display->display_options['fields']['field_calendar_date_1']['id'] = 'field_calendar_date_1';
  $handler->display->display_options['fields']['field_calendar_date_1']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date_1']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date_1']['ui_name'] = 'Month grouping';
  $handler->display->display_options['fields']['field_calendar_date_1']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_calendar_date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date_1']['settings'] = array(
    'format_type' => 'january_1900',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_calendar_date_1']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date_1']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['sorts']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['sorts']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Date: Date (node) */
  $handler->display->display_options['filters']['date_filter']['id'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['table'] = 'node';
  $handler->display->display_options['filters']['date_filter']['field'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['operator'] = '>=';
  $handler->display->display_options['filters']['date_filter']['default_date'] = 'now';
  $handler->display->display_options['filters']['date_filter']['date_fields'] = array(
    'field_data_field_calendar_date.field_calendar_date_value' => 'field_data_field_calendar_date.field_calendar_date_value',
  );
  $handler->display->display_options['block_description'] = 'Public upcoming events';

  /* Display: Parent calendar (Month) */
  $handler = $view->new_display('block', 'Parent calendar (Month)', 'block_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Displays the parent calendar in month view.';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    4 => '4',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'date_views_pager';
  $handler->display->display_options['pager']['options']['date_id'] = 'month';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['mini'] = '0';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '1';
  $handler->display->display_options['style_options']['theme_style'] = '1';
  $handler->display->display_options['style_options']['max_items'] = '5';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'calendar_entity';
  $handler->display->display_options['row_options']['colors']['legend'] = 'type';
  $handler->display->display_options['row_options']['colors']['calendar_colors_type'] = array(
    'account' => '#ffffff',
    'article' => '#ffffff',
    'page' => '#ffffff',
    'child' => '#37d86d',
    'closure' => '#ff0000',
    'date' => '#ffffff',
    'event' => '#37d86d',
    'holiday' => '#ff0000',
    'meeting' => '#ffffff',
    'person' => '#ffffff',
    'poll' => '#ffffff',
    'staff' => '#ffffff',
    'webform' => '#ffffff',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Date: Date (node) */
  $handler->display->display_options['arguments']['date_argument']['id'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['table'] = 'node';
  $handler->display->display_options['arguments']['date_argument']['field'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['default_action'] = 'default';
  $handler->display->display_options['arguments']['date_argument']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['date_argument']['year_range'] = '-10:+10';
  $handler->display->display_options['arguments']['date_argument']['add_delta'] = 'yes';
  $handler->display->display_options['arguments']['date_argument']['date_fields'] = array(
    'field_data_field_birth_date.field_birth_date_value' => 'field_data_field_birth_date.field_birth_date_value',
    'field_data_field_calendar_date.field_calendar_date_value' => 'field_data_field_calendar_date.field_calendar_date_value',
  );
  $handler->display->display_options['block_description'] = 'Parent calendar (Month)';

  /* Display: Parent upcoming */
  $handler = $view->new_display('block', 'Parent upcoming', 'block_3');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Upcoming events';
  $handler->display->display_options['display_description'] = 'Upcoming calendar items for parent access';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    4 => '4',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'field_calendar_date_1',
      'rendered' => 1,
      'rendered_strip' => 1,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'mon_1st',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_calendar_date']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Field: Month grouping */
  $handler->display->display_options['fields']['field_calendar_date_1']['id'] = 'field_calendar_date_1';
  $handler->display->display_options['fields']['field_calendar_date_1']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date_1']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date_1']['ui_name'] = 'Month grouping';
  $handler->display->display_options['fields']['field_calendar_date_1']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_calendar_date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date_1']['settings'] = array(
    'format_type' => 'january_1900',
    'fromto' => 'value',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_calendar_date_1']['group_rows'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date_1']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['sorts']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['sorts']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Date: Date (node) */
  $handler->display->display_options['filters']['date_filter']['id'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['table'] = 'node';
  $handler->display->display_options['filters']['date_filter']['field'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['operator'] = '>=';
  $handler->display->display_options['filters']['date_filter']['default_date'] = 'now';
  $handler->display->display_options['filters']['date_filter']['date_fields'] = array(
    'field_data_field_calendar_date.field_calendar_date_value' => 'field_data_field_calendar_date.field_calendar_date_value',
  );
  $handler->display->display_options['block_description'] = 'Parent upcoming events';

  /* Display: Upcoming birthdays */
  $handler = $view->new_display('block', 'Upcoming birthdays', 'block_5');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Birthdays';
  $handler->display->display_options['display_description'] = 'Upcoming birthdays for authenticated access';
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    2 => '2',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '8';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'field_birth_date_1',
      'rendered' => 1,
      'rendered_strip' => 1,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_birth_date' => 'field_birth_date',
    'cura_firstname' => 'cura_firstname',
    'cura_lastname' => 'cura_lastname',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Birth month */
  $handler->display->display_options['fields']['field_birth_date_1']['id'] = 'field_birth_date_1';
  $handler->display->display_options['fields']['field_birth_date_1']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['fields']['field_birth_date_1']['field'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date_1']['ui_name'] = 'Birth month';
  $handler->display->display_options['fields']['field_birth_date_1']['label'] = '';
  $handler->display->display_options['fields']['field_birth_date_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_birth_date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_birth_date_1']['settings'] = array(
    'format_type' => 'month',
    'fromto' => 'both',
    'multiple_number' => '1',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_birth_date_1']['delta_offset'] = '0';
  /* Field: Content: Birthdate */
  $handler->display->display_options['fields']['field_birth_date']['id'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['field'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['label'] = '';
  $handler->display->display_options['fields']['field_birth_date']['alter']['text'] = '<div style="color: FF9900">[field_birth_date]</div>';
  $handler->display->display_options['fields']['field_birth_date']['element_type'] = 'em';
  $handler->display->display_options['fields']['field_birth_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_birth_date']['settings'] = array(
    'format_type' => 'birthday',
    'fromto' => 'both',
    'multiple_number' => '1',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_birth_date']['delta_offset'] = '0';
  /* Field: Person firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['ui_name'] = 'Person firstname';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['label'] = '';
  $handler->display->display_options['fields']['cura_firstname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cura_firstname']['empty'] = '[field_firstname]';
  /* Field: Person lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['ui_name'] = 'Person lastname';
  $handler->display->display_options['fields']['field_lastname']['label'] = '';
  $handler->display->display_options['fields']['field_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['label'] = '';
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cura_lastname']['empty'] = '[field_lastname]';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Birthdate (field_birth_date) */
  $handler->display->display_options['sorts']['field_birth_date_value']['id'] = 'field_birth_date_value';
  $handler->display->display_options['sorts']['field_birth_date_value']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['sorts']['field_birth_date_value']['field'] = 'field_birth_date_value';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Birthdate (field_birth_date) */
  $handler->display->display_options['filters']['field_birth_date_value']['id'] = 'field_birth_date_value';
  $handler->display->display_options['filters']['field_birth_date_value']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['filters']['field_birth_date_value']['field'] = 'field_birth_date_value';
  $handler->display->display_options['filters']['field_birth_date_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_birth_date_value']['default_date'] = 'now';
  $handler->display->display_options['filters']['field_birth_date_value']['year_range'] = '-5:+5';
  $handler->display->display_options['block_description'] = 'Upcoming birthdays';

  /* Display: Staff calendar (Month) */
  $handler = $view->new_display('block', 'Staff calendar (Month)', 'block_4');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['display_description'] = 'Displays the staff calendar in month view.';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'date_views_pager';
  $handler->display->display_options['pager']['options']['date_id'] = 'month';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'calendar_style';
  $handler->display->display_options['style_options']['name_size'] = '3';
  $handler->display->display_options['style_options']['mini'] = '0';
  $handler->display->display_options['style_options']['with_weekno'] = '0';
  $handler->display->display_options['style_options']['multiday_theme'] = '1';
  $handler->display->display_options['style_options']['theme_style'] = '1';
  $handler->display->display_options['style_options']['max_items'] = '5';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'calendar_entity';
  $handler->display->display_options['row_options']['calendar_date_link'] = 'closure';
  $handler->display->display_options['row_options']['colors']['legend'] = 'type';
  $handler->display->display_options['row_options']['colors']['calendar_colors_type'] = array(
    'account' => '#ffffff',
    'article' => '#ffffff',
    'page' => '#ffffff',
    'child' => '#37d86d',
    'closure' => '#ff0000',
    'date' => '#ffffff',
    'event' => '#37d86d',
    'holiday' => '#ff0000',
    'meeting' => '#ffffff',
    'person' => '#ffffff',
    'poll' => '#ffffff',
    'staff' => '#ffffff',
    'webform' => '#ffffff',
  );
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Date: Date (node) */
  $handler->display->display_options['arguments']['date_argument']['id'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['table'] = 'node';
  $handler->display->display_options['arguments']['date_argument']['field'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['default_action'] = 'default';
  $handler->display->display_options['arguments']['date_argument']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['date_argument']['year_range'] = '-10:+10';
  $handler->display->display_options['arguments']['date_argument']['add_delta'] = 'yes';
  $handler->display->display_options['arguments']['date_argument']['date_fields'] = array(
    'field_data_field_birth_date.field_birth_date_value' => 'field_data_field_birth_date.field_birth_date_value',
    'field_data_field_calendar_date.field_calendar_date_value' => 'field_data_field_calendar_date.field_calendar_date_value',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  $handler->display->display_options['block_description'] = 'Staff calendar (Month)';

  $views[$view->name] = $view;

  // Define the school terms view.
  $view = new view();
  $view->name = 'cura_school_terms';
  $view->description = 'List of school terms.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'School terms';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'School terms';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    4 => '4',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['autosubmit'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['empty'] = TRUE;
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total school terms <a href="/node/add/school-term?destination=school-terms" title="Add a new school term">Add a school term</a>';
  /* No results behavior: Global: Unfiltered text */
  $handler->display->display_options['empty']['area_text_custom']['id'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['table'] = 'views';
  $handler->display->display_options['empty']['area_text_custom']['field'] = 'area_text_custom';
  $handler->display->display_options['empty']['area_text_custom']['empty'] = TRUE;
  $handler->display->display_options['empty']['area_text_custom']['content'] = 'No school terms defined <a href="/node/add/school-term?destination=school-terms" title="Add a new school term">Add a school term</a>';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Session';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'school_term' => 'school_term',
  );

  /* Display: School terms */
  $handler = $view->new_display('page', 'School terms', 'page');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'nid' => 'nid',
    'title' => 'title',
    'field_term_dates' => 'field_term_dates',
    'field_term_bill_days' => 'field_term_bill_days',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'nid' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_term_dates' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_term_bill_days' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['empty_table'] = TRUE;
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['text'] = '[title]<br><a href="/node/[nid]/edit?destination=school-terms">Edit</a>';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Dates */
  $handler->display->display_options['fields']['field_term_dates']['id'] = 'field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['table'] = 'field_data_field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['field'] = 'field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['alter']['text'] = '[field_term_dates-value:long] to<br>[field_term_dates-value2:long]';
  $handler->display->display_options['fields']['field_term_dates']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_dates']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  /* Field: Content: Billing days */
  $handler->display->display_options['fields']['field_term_bill_days']['id'] = 'field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['table'] = 'field_data_field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['field'] = 'field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['label'] = 'Days';
  $handler->display->display_options['fields']['field_term_bill_days']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_bill_days']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  /* Field: School term operations */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'School term operations';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a href="/node/[nid]/edit?destination=school-terms" title="Edit"><img src="/sites/default/files/edit.png"></a> <a href="/node/[nid]/delete?destination=school-terms" title="Delete"><img src="/sites/default/files/edittrash.png"></a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'school_term' => 'school_term',
  );
  /* Filter criterion: Content: School year (field_school_year) */
  $handler->display->display_options['filters']['field_school_year_value']['id'] = 'field_school_year_value';
  $handler->display->display_options['filters']['field_school_year_value']['table'] = 'field_data_field_school_year';
  $handler->display->display_options['filters']['field_school_year_value']['field'] = 'field_school_year_value';
  $handler->display->display_options['filters']['field_school_year_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_school_year_value']['expose']['operator_id'] = 'field_school_year_value_op';
  $handler->display->display_options['filters']['field_school_year_value']['expose']['label'] = 'School year';
  $handler->display->display_options['filters']['field_school_year_value']['expose']['description'] = 'Eg. School year 2014 starts Sep 2013.';
  $handler->display->display_options['filters']['field_school_year_value']['expose']['operator'] = 'field_school_year_value_op';
  $handler->display->display_options['filters']['field_school_year_value']['expose']['identifier'] = 'field_school_year_value';
  $handler->display->display_options['filters']['field_school_year_value']['expose']['remember_roles'] = array(
    2 => 0,
    3 => '3',
    5 => '5',
    6 => '6',
    7 => '7',
    8 => '8',
    1 => 0,
    4 => 0,
  );
  $handler->display->display_options['filters']['field_school_year_value']['granularity'] = 'year';
  $handler->display->display_options['filters']['field_school_year_value']['default_date'] = 'now';
  $handler->display->display_options['path'] = 'school-terms';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'School terms';
  $handler->display->display_options['menu']['weight'] = '0';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: School term reference */
  $handler = $view->new_display('entityreference', 'School term reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    4 => '4',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Dates */
  $handler->display->display_options['fields']['field_term_dates']['id'] = 'field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['table'] = 'field_data_field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['field'] = 'field_term_dates';
  $handler->display->display_options['fields']['field_term_dates']['label'] = '';
  $handler->display->display_options['fields']['field_term_dates']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_dates']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );

  /* Display: Attachment */
  $handler = $view->new_display('attachment', 'Attachment', 'attachment_1');
  $handler->display->display_options['defaults']['group_by'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Text area */
  $handler->display->display_options['header']['area']['id'] = 'area';
  $handler->display->display_options['header']['area']['table'] = 'views';
  $handler->display->display_options['header']['area']['field'] = 'area';
  $handler->display->display_options['header']['area']['empty'] = TRUE;
  $handler->display->display_options['header']['area']['content'] = '<h2>Summary of school terms</h2>';
  $handler->display->display_options['header']['area']['format'] = 'full_html';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: School year */
  $handler->display->display_options['fields']['field_school_year']['id'] = 'field_school_year';
  $handler->display->display_options['fields']['field_school_year']['table'] = 'field_data_field_school_year';
  $handler->display->display_options['fields']['field_school_year']['field'] = 'field_school_year';
  $handler->display->display_options['fields']['field_school_year']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_school_year']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_school_year']['group_columns'] = array(
    'value' => 'value',
  );
  /* Field: Content: Billing days */
  $handler->display->display_options['fields']['field_term_bill_days']['id'] = 'field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['table'] = 'field_data_field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['field'] = 'field_term_bill_days';
  $handler->display->display_options['fields']['field_term_bill_days']['group_type'] = 'sum';
  $handler->display->display_options['fields']['field_term_bill_days']['label'] = 'Days';
  $handler->display->display_options['fields']['field_term_bill_days']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_term_bill_days']['settings'] = array(
    'thousand_separator' => ' ',
    'prefix_suffix' => 1,
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: School year (field_school_year) */
  $handler->display->display_options['sorts']['field_school_year_value']['id'] = 'field_school_year_value';
  $handler->display->display_options['sorts']['field_school_year_value']['table'] = 'field_data_field_school_year';
  $handler->display->display_options['sorts']['field_school_year_value']['field'] = 'field_school_year_value';
  $handler->display->display_options['sorts']['field_school_year_value']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['displays'] = array(
    'page' => 'page',
    'default' => 0,
  );
  $handler->display->display_options['attachment_position'] = 'after';

  $views[$view->name] = $view;

  // Define the closures view.
  $view = new view();
  $view->name = 'cura_closures';
  $view->description = 'Lists the days when the setting is closed.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Closures';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Closures';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'closure' => 'closure',
  );

  /* Display: Closures */
  $handler = $view->new_display('page', 'Closures', 'page');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
  );
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total closures<a href="/node/add/closure" title="Add a new closure">Add a closure</a>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = 'Date';
  $handler->display->display_options['fields']['field_calendar_date']['alter']['text'] = '[field_calendar_date] <a href="/node/[nid]/edit?destination=closures">Edit</a>';
  $handler->display->display_options['fields']['field_calendar_date']['alter']['path'] = 'node/[nid]/edit';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Field: Content: Closure Type */
  $handler->display->display_options['fields']['field_closure_type']['id'] = 'field_closure_type';
  $handler->display->display_options['fields']['field_closure_type']['table'] = 'field_data_field_closure_type';
  $handler->display->display_options['fields']['field_closure_type']['field'] = 'field_closure_type';
  $handler->display->display_options['fields']['field_closure_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_closure_type']['element_label_colon'] = FALSE;
  /* Field: Closure operations */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'Closure operations';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a href="/node/[nid]/edit?destination=closures" title="Edit"><img src="/sites/default/files/edit.png"></a> <a href="/node/[nid]/delete?destination=closures" title="Delete"><img src="/sites/default/files/edittrash.png"></a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['sorts']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['sorts']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'closure' => 'closure',
  );
  /* Filter criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['filters']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_calendar_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator_id'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['label'] = 'Start';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['identifier'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value']['group_info']['label'] = 'Meeting Date -  start date (field_calendar_date)';
  $handler->display->display_options['filters']['field_calendar_date_value']['group_info']['identifier'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['group_info']['remember'] = FALSE;
  $handler->display->display_options['filters']['field_calendar_date_value']['group_info']['group_items'] = array(
    1 => array(),
    2 => array(),
    3 => array(),
  );
  $handler->display->display_options['filters']['field_calendar_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value']['default_date'] = 'september 1st';
  $handler->display->display_options['filters']['field_calendar_date_value']['year_range'] = '-5:+5';
  /* Filter criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['filters']['field_calendar_date_value_1']['id'] = 'field_calendar_date_value_1';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['operator'] = '<=';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['operator_id'] = 'field_calendar_date_value_1_op';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['label'] = 'Finish';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['operator'] = 'field_calendar_date_value_1_op';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['identifier'] = 'field_calendar_date_value_1';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value_1']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['default_date'] = 'september 1st +1 year';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['year_range'] = '-5:+5';
  $handler->display->display_options['path'] = 'closures';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Closures';
  $handler->display->display_options['menu']['weight'] = '5';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views[$view->name] = $view;

  // Define the holidays view.
  $view = new view();
  $view->name = 'cura_holidays';
  $view->description = 'Lists the holidays.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Holidays';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Holidays';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'holiday' => 'holiday',
  );

  /* Display: Holidays */
  $handler = $view->new_display('page', 'Holidays', 'page');
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    3 => '3',
  );
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total holidays<a href="/node/add/holiday" title="Add a new holiday">Add a holiday</a>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = 'Date';
  $handler->display->display_options['fields']['field_calendar_date']['alter']['text'] = '[field_calendar_date] <a href="/node/[nid]/edit?destination=holidays">Edit</a>';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Field: Content: Holiday Type */
  $handler->display->display_options['fields']['field_holiday_type']['id'] = 'field_holiday_type';
  $handler->display->display_options['fields']['field_holiday_type']['table'] = 'field_data_field_holiday_type';
  $handler->display->display_options['fields']['field_holiday_type']['field'] = 'field_holiday_type';
  $handler->display->display_options['fields']['field_holiday_type']['label'] = 'Type';
  $handler->display->display_options['fields']['field_holiday_type']['element_label_colon'] = FALSE;
  /* Field: Holiday operations */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['ui_name'] = 'Holiday operations';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a href="/node/[nid]/edit?destination=holidays" title="Edit"><img src="/sites/default/files/edit.png"></a> <a href="/node/[nid]/delete?destination=holidays" title="Delete"><img src="/sites/default/files/edittrash.png"></a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['sorts']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['sorts']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'holiday' => 'holiday',
  );
  /* Filter criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['filters']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_calendar_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator_id'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['label'] = 'Start';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['identifier'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value']['default_date'] = 'september 1st';
  $handler->display->display_options['filters']['field_calendar_date_value']['year_range'] = '-5:+5';
  /* Filter criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['filters']['field_calendar_date_value_1']['id'] = 'field_calendar_date_value_1';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['operator'] = '<=';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['operator_id'] = 'field_calendar_date_value_1_op';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['label'] = 'Finish';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['operator'] = 'field_calendar_date_value_1_op';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['identifier'] = 'field_calendar_date_value_1';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value_1']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['default_date'] = 'september 1st +1 year';
  $handler->display->display_options['filters']['field_calendar_date_value_1']['year_range'] = '-5:+5';
  $handler->display->display_options['path'] = 'holidays';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Holidays';
  $handler->display->display_options['menu']['weight'] = '10';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  $views[$view->name] = $view;

  // Define the children view.
  $view = new view();
  $view->name = 'cura_children';
  $view->description = 'Children at the settings.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Children';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Children';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['query']['options']['disable_sql_rewrite'] = TRUE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['id'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['table'] = 'field_data_field_child_key_person';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['field'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['label'] = 'Staff entity referenced from field_child_key_person';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['required'] = TRUE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_person_target_id']['id'] = 'field_staff_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['table'] = 'field_data_field_staff_person';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['field'] = 'field_staff_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['relationship'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['label'] = 'Person entity referenced from field_staff_person';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['required'] = TRUE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Sort criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['sorts']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['sorts']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['expose']['label'] = 'Lastname (cura_lastname)';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'child' => 'child',
  );

  /* Display: Children */
  $handler = $view->new_display('page', 'Children', 'page');
  $handler->display->display_options['display_description'] = 'A list of all the children.';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    4 => '4',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total children <a href="/node/add/child" title="Add a new child record">Add a child</a>';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['id'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['table'] = 'field_data_field_child_key_person';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['field'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_child_key_person_target_id']['label'] = 'Staff entity referenced from field_child_key_person';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_staff_person_target_id']['id'] = 'field_staff_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['table'] = 'field_data_field_staff_person';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['field'] = 'field_staff_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['relationship'] = 'field_child_key_person_target_id';
  $handler->display->display_options['relationships']['field_staff_person_target_id']['label'] = 'Person entity referenced from field_staff_person';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_id_target_id']['id'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['table'] = 'field_data_field_account_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['field'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_id_target_id']['label'] = 'Account referenced from field_account_id';
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_owner_target_id']['id'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['table'] = 'field_data_field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['field'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['label'] = 'Person referenced from field_account_owner';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path']['id'] = 'path';
  $handler->display->display_options['fields']['path']['table'] = 'node';
  $handler->display->display_options['fields']['path']['field'] = 'path';
  $handler->display->display_options['fields']['path']['label'] = '';
  $handler->display->display_options['fields']['path']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path']['element_label_colon'] = FALSE;
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['label'] = '';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['label'] = '';
  $handler->display->display_options['fields']['cura_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['text'] = '[cura_lastname], [cura_firstname]';
  $handler->display->display_options['fields']['cura_lastname']['alter']['path'] = '[path]';
  $handler->display->display_options['fields']['cura_lastname']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['alt'] = '[cura_firstname] [cura_lastname]';
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_child_image']['id'] = 'field_child_image';
  $handler->display->display_options['fields']['field_child_image']['table'] = 'field_data_field_child_image';
  $handler->display->display_options['fields']['field_child_image']['field'] = 'field_child_image';
  $handler->display->display_options['fields']['field_child_image']['label'] = '';
  $handler->display->display_options['fields']['field_child_image']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_child_image']['alter']['text'] = '[field_child_image]<br>[cura_lastname]';
  $handler->display->display_options['fields']['field_child_image']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_child_image']['alter']['path'] = 'node/[nid]/edit?destination=children';
  $handler->display->display_options['fields']['field_child_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_child_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_child_image']['settings'] = array(
    'image_style' => '',
    'image_link' => '',
  );
  /* Field: Birth day of week */
  $handler->display->display_options['fields']['field_birth_date']['id'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['field'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['ui_name'] = 'Birth day of week';
  $handler->display->display_options['fields']['field_birth_date']['label'] = '';
  $handler->display->display_options['fields']['field_birth_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_birth_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_birth_date']['settings'] = array(
    'format_type' => 'long_day',
    'fromto' => 'both',
    'multiple_number' => '1',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_birth_date']['delta_offset'] = '0';
  /* Field: Content: Birthdate */
  $handler->display->display_options['fields']['field_birth_date_1']['id'] = 'field_birth_date_1';
  $handler->display->display_options['fields']['field_birth_date_1']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['fields']['field_birth_date_1']['field'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date_1']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_birth_date_1']['alter']['text'] = '[field_birth_date]<br>[field_birth_date_1]';
  $handler->display->display_options['fields']['field_birth_date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_birth_date_1']['settings'] = array(
    'format_type' => 'medium',
    'fromto' => 'both',
    'multiple_number' => '1',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_birth_date_1']['delta_offset'] = '0';
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'field_staff_person_target_id';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'field_staff_person_target_id';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Key person';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_firstname] [field_lastname]';
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Path */
  $handler->display->display_options['fields']['path_1']['id'] = 'path_1';
  $handler->display->display_options['fields']['path_1']['table'] = 'node';
  $handler->display->display_options['fields']['path_1']['field'] = 'path';
  $handler->display->display_options['fields']['path_1']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['fields']['path_1']['label'] = '';
  $handler->display->display_options['fields']['path_1']['exclude'] = TRUE;
  $handler->display->display_options['fields']['path_1']['element_label_colon'] = FALSE;
  /* Field: Content: Account number */
  $handler->display->display_options['fields']['field_account_number']['id'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['fields']['field_account_number']['field'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['fields']['field_account_number']['label'] = '';
  $handler->display->display_options['fields']['field_account_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_account_number']['element_label_colon'] = FALSE;
  /* Field: Content: Account owner */
  $handler->display->display_options['fields']['field_account_owner']['id'] = 'field_account_owner';
  $handler->display->display_options['fields']['field_account_owner']['table'] = 'field_data_field_account_owner';
  $handler->display->display_options['fields']['field_account_owner']['field'] = 'field_account_owner';
  $handler->display->display_options['fields']['field_account_owner']['relationship'] = 'field_account_id_target_id';
  $handler->display->display_options['fields']['field_account_owner']['label'] = 'Account';
  $handler->display->display_options['fields']['field_account_owner']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_account_owner']['alter']['text'] = '<a href="[path_1]">[field_account_number]</a><br>[field_account_owner]<br>
  <p>See <a href="/attendance/plans/[nid]">Session plans</a></p>';
  $handler->display->display_options['fields']['field_account_owner']['alter']['path'] = '[path_1]';
  $handler->display->display_options['fields']['field_account_owner']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['field_account_owner']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_account_owner']['settings'] = array(
    'link' => 0,
  );
  $handler->display->display_options['fields']['field_account_owner']['delta_limit'] = '5';
  $handler->display->display_options['fields']['field_account_owner']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'child' => 'child',
  );
  /* Filter criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['filters']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['cura_lastname_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator_id'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['label'] = 'Lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['description'] = 'Children records returned will contain the above in the child\'s lastname.';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['identifier'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember_roles'] = array(
    2 => 0,
    4 => '4',
    3 => '3',
    5 => '5',
    6 => '6',
    7 => '7',
    1 => 0,
  );
  /* Filter criterion: Content: Status (field_child_status) */
  $handler->display->display_options['filters']['field_child_status_value']['id'] = 'field_child_status_value';
  $handler->display->display_options['filters']['field_child_status_value']['table'] = 'field_data_field_child_status';
  $handler->display->display_options['filters']['field_child_status_value']['field'] = 'field_child_status_value';
  $handler->display->display_options['filters']['field_child_status_value']['value'] = array(
    'P' => 'P',
  );
  $handler->display->display_options['filters']['field_child_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_child_status_value']['expose']['operator_id'] = 'field_child_status_value_op';
  $handler->display->display_options['filters']['field_child_status_value']['expose']['label'] = 'Status';
  $handler->display->display_options['filters']['field_child_status_value']['expose']['operator'] = 'field_child_status_value_op';
  $handler->display->display_options['filters']['field_child_status_value']['expose']['identifier'] = 'field_child_status_value';
  $handler->display->display_options['filters']['field_child_status_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_child_status_value']['expose']['remember_roles'] = array(
    2 => 0,
    3 => '3',
    5 => '5',
    6 => '6',
    7 => '7',
    8 => '8',
    1 => 0,
    4 => 0,
  );
  $handler->display->display_options['path'] = 'children';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Children';
  $handler->display->display_options['menu']['description'] = 'List of children';
  $handler->display->display_options['menu']['weight'] = '20';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Child entity reference */
  $handler = $view->new_display('entityreference', 'Child entity reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'cura_lastname' => 'cura_lastname',
    'field_child_image' => 0,
    'cura_firstname' => 0,
    'field_birth_date' => 0,
    'nothing' => 0,
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_child_image']['id'] = 'field_child_image';
  $handler->display->display_options['fields']['field_child_image']['table'] = 'field_data_field_child_image';
  $handler->display->display_options['fields']['field_child_image']['field'] = 'field_child_image';
  $handler->display->display_options['fields']['field_child_image']['label'] = '';
  $handler->display->display_options['fields']['field_child_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_child_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_child_image']['settings'] = array(
    'image_style' => 'small_thumbnail_48x48',
    'image_link' => '',
  );
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['label'] = '';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['label'] = '';
  $handler->display->display_options['fields']['cura_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Birthdate */
  $handler->display->display_options['fields']['field_birth_date']['id'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['table'] = 'field_data_field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['field'] = 'field_birth_date';
  $handler->display->display_options['fields']['field_birth_date']['label'] = '';
  $handler->display->display_options['fields']['field_birth_date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_birth_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_birth_date']['settings'] = array(
    'format_type' => 'short',
    'fromto' => 'both',
    'multiple_number' => '1',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'hide',
  );
  $handler->display->display_options['fields']['field_birth_date']['delta_offset'] = '0';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '[cura_lastname], [cura_firstname] ([field_birth_date])';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['sorts']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['sorts']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['expose']['label'] = 'Lastname (cura_lastname)';
  /* Sort criterion: Content: Firstname (cura_firstname) */
  $handler->display->display_options['sorts']['cura_firstname_value']['id'] = 'cura_firstname_value';
  $handler->display->display_options['sorts']['cura_firstname_value']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['sorts']['cura_firstname_value']['field'] = 'cura_firstname_value';

  $views[$view->name] = $view;

  // Define the persons view.
  $view = new view();
  $view->name = 'cura_persons';
  $view->description = 'Displays the persons defined in the Cura Childcare Suite.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Persons';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Persons';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '<p>Please ensure that a person is not already in the system before adding a new record. To do this, search for the relevant record by entering a few letters of the lastname in the field below and selecting \'Apply\'.</p>
  <a href="/node/add/person" title="Add a new person record">Add a person</a><br>
  Displaying @start - @end of @total';
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_person_image']['id'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['table'] = 'field_data_field_person_image';
  $handler->display->display_options['fields']['field_person_image']['field'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['label'] = '';
  $handler->display->display_options['fields']['field_person_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_person_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_person_image']['settings'] = array(
    'image_style' => 'small_thumbnail_48x48',
    'image_link' => 'content',
  );
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname]';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'node/[nid]/edit';
  $handler->display->display_options['fields']['field_lastname']['alter']['alt'] = 'Edit [field_firstname] [field_lastname]';
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Thoroughfare (i.e. Street address) */
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['id'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['field'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Premise (i.e. Apartment / Suite number) */
  $handler->display->display_options['fields']['field_physical_address_premise']['id'] = 'field_physical_address_premise';
  $handler->display->display_options['fields']['field_physical_address_premise']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_premise']['field'] = 'field_physical_address_premise';
  $handler->display->display_options['fields']['field_physical_address_premise']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_premise']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_premise']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Locality (i.e. City) */
  $handler->display->display_options['fields']['field_physical_address_locality']['id'] = 'field_physical_address_locality';
  $handler->display->display_options['fields']['field_physical_address_locality']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_locality']['field'] = 'field_physical_address_locality';
  $handler->display->display_options['fields']['field_physical_address_locality']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_locality']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_locality']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Administrative area (i.e. State / Province) */
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['id'] = 'field_physical_address_administrative_area';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['field'] = 'field_physical_address_administrative_area';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Postal code */
  $handler->display->display_options['fields']['field_physical_address_postal_code']['id'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['field'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_postal_code']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Country */
  $handler->display->display_options['fields']['field_physical_address_country']['id'] = 'field_physical_address_country';
  $handler->display->display_options['fields']['field_physical_address_country']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_country']['field'] = 'field_physical_address_country';
  $handler->display->display_options['fields']['field_physical_address_country']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_country']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_country']['alter']['text'] = '[field_physical_address_thoroughfare] [field_physical_address_premise]<br>[field_physical_address_locality], [field_physical_address_administrative_area] [field_physical_address_postal_code], [field_physical_address_country]';
  $handler->display->display_options['fields']['field_physical_address_country']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_physical_address_country']['display_name'] = 1;
  /* Sort criterion: Content: Lastname (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'person' => 'person',
  );
  /* Filter criterion: Content: Lastname (field_lastname) */
  $handler->display->display_options['filters']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['filters']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_lastname_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_lastname_value']['expose']['operator_id'] = 'field_lastname_value_op';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['label'] = 'Lastname';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['description'] = 'Lastname, surname or family name of the person.';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['operator'] = 'field_lastname_value_op';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['identifier'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_lastname_value']['expose']['remember_roles'] = array(
    2 => 0,
    3 => '3',
    5 => '5',
    6 => '6',
    7 => '7',
    1 => 0,
    4 => 0,
  );

  /* Display: Persons */
  $handler = $view->new_display('page', 'Persons', 'page');
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = '<p>Please ensure that a person is not already in the system before adding a new record. To do this, search for the relevant record by entering a few letters of the lastname in the field below and selecting \'Apply\'.</p>
  Displaying @start - @end of @total<a href="/node/add/person" title="Add a new person record">Add a person</a>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_person_image']['id'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['table'] = 'field_data_field_person_image';
  $handler->display->display_options['fields']['field_person_image']['field'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['label'] = '';
  $handler->display->display_options['fields']['field_person_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_person_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_person_image']['settings'] = array(
    'image_style' => 'small_thumbnail_48x48',
    'image_link' => 'content',
  );
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['label'] = 'Name';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '[field_lastname], [field_firstname]<br><a href="/node/[nid]/edit?destination=persons">Edit</a>';
  $handler->display->display_options['fields']['field_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['path'] = 'node/[nid]?destination=persons';
  $handler->display->display_options['fields']['field_lastname']['alter']['absolute'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['alt'] = 'View details for [field_firstname] [field_lastname]';
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Thoroughfare (i.e. Street address) */
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['id'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['field'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Premise (i.e. Apartment / Suite number) */
  $handler->display->display_options['fields']['field_physical_address_premise']['id'] = 'field_physical_address_premise';
  $handler->display->display_options['fields']['field_physical_address_premise']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_premise']['field'] = 'field_physical_address_premise';
  $handler->display->display_options['fields']['field_physical_address_premise']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_premise']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_premise']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Locality (i.e. City) */
  $handler->display->display_options['fields']['field_physical_address_locality']['id'] = 'field_physical_address_locality';
  $handler->display->display_options['fields']['field_physical_address_locality']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_locality']['field'] = 'field_physical_address_locality';
  $handler->display->display_options['fields']['field_physical_address_locality']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_locality']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_locality']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Administrative area (i.e. State / Province) */
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['id'] = 'field_physical_address_administrative_area';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['field'] = 'field_physical_address_administrative_area';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_administrative_area']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Postal code */
  $handler->display->display_options['fields']['field_physical_address_postal_code']['id'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['field'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_postal_code']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Country */
  $handler->display->display_options['fields']['field_physical_address_country']['id'] = 'field_physical_address_country';
  $handler->display->display_options['fields']['field_physical_address_country']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_country']['field'] = 'field_physical_address_country';
  $handler->display->display_options['fields']['field_physical_address_country']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_country']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_country']['alter']['text'] = '[field_physical_address_thoroughfare] [field_physical_address_premise]<br>[field_physical_address_locality], [field_physical_address_administrative_area] [field_physical_address_postal_code], [field_physical_address_country]';
  $handler->display->display_options['fields']['field_physical_address_country']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_physical_address_country']['display_name'] = 1;
  $handler->display->display_options['path'] = 'persons';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Persons';
  $handler->display->display_options['menu']['weight'] = '15';
  $handler->display->display_options['menu']['name'] = 'cura-menu';

  /* Display: Person reference */
  $handler = $view->new_display('entityreference', 'Person reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'title' => 'title',
    'nid' => 0,
    'field_person_image' => 0,
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'field_person_image' => 'field_person_image',
    'title' => 'title',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Image */
  $handler->display->display_options['fields']['field_person_image']['id'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['table'] = 'field_data_field_person_image';
  $handler->display->display_options['fields']['field_person_image']['field'] = 'field_person_image';
  $handler->display->display_options['fields']['field_person_image']['label'] = '';
  $handler->display->display_options['fields']['field_person_image']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_person_image']['click_sort_column'] = 'fid';
  $handler->display->display_options['fields']['field_person_image']['settings'] = array(
    'image_style' => 'small_thumbnail_48x48',
    'image_link' => '',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Title */
  $handler->display->display_options['sorts']['title']['id'] = 'title';
  $handler->display->display_options['sorts']['title']['table'] = 'node';
  $handler->display->display_options['sorts']['title']['field'] = 'title';

  $views[$view->name] = $view;

  // Define the accounts view.
  $view = new view();
  $view->name = 'cura_accounts';
  $view->description = 'Display the accounts that have been set up in the Cura Childcare Suite.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Accounts';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Accounts';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'perm';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['style_plugin'] = 'list';
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'title' => 'title',
    'field_account_name' => 'field_account_name',
    'field_child_image' => 'field_child_image',
    'cura_firstname' => 'cura_firstname',
    'cura_lastname' => 'cura_lastname',
  );
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'account' => 'account',
  );

  /* Display: Accounts */
  $handler = $view->new_display('page', 'Accounts', 'page_1');
  $handler->display->display_options['display_description'] = 'Accounts';
  $handler->display->display_options['defaults']['exposed_form'] = FALSE;
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['exposed_form']['options']['expose_sort_order'] = FALSE;
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total accounts<a href="/node/add/account" title="Add a new account record">Add an account</a>';
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_owner_target_id']['id'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['table'] = 'field_data_field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['field'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['label'] = 'Person entity referenced from field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['exclude'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Account number */
  $handler->display->display_options['fields']['field_account_number']['id'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['fields']['field_account_number']['field'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['label'] = 'Account No';
  $handler->display->display_options['fields']['field_account_number']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_account_number']['alter']['text'] = '[field_account_number]';
  $handler->display->display_options['fields']['field_account_number']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['field_account_number']['alter']['path'] = 'node/[nid]/edit?destination=accounts';
  $handler->display->display_options['fields']['field_account_number']['alter']['alt'] = 'Edit account [field_account_number]';
  $handler->display->display_options['fields']['field_account_number']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_lastname']['label'] = '';
  $handler->display->display_options['fields']['field_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_firstname']['label'] = 'Owner';
  $handler->display->display_options['fields']['field_firstname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['alter']['text'] = '[field_lastname], [field_firstname]';
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Balance */
  $handler->display->display_options['fields']['field_account_balance']['id'] = 'field_account_balance';
  $handler->display->display_options['fields']['field_account_balance']['table'] = 'field_data_field_account_balance';
  $handler->display->display_options['fields']['field_account_balance']['field'] = 'field_account_balance';
  $handler->display->display_options['fields']['field_account_balance']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_account_balance']['settings'] = array(
    'thousand_separator' => ' ',
    'decimal_separator' => '.',
    'scale' => '2',
    'prefix_suffix' => 1,
  );
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Account number (field_account_number) */
  $handler->display->display_options['sorts']['field_account_number_value']['id'] = 'field_account_number_value';
  $handler->display->display_options['sorts']['field_account_number_value']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['sorts']['field_account_number_value']['field'] = 'field_account_number_value';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'account' => 'account',
  );
  /* Filter criterion: Content: Lastname (field_lastname) */
  $handler->display->display_options['filters']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['filters']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['filters']['field_lastname_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['field_lastname_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_lastname_value']['expose']['operator_id'] = 'field_lastname_value_op';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['label'] = 'Lastname';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['description'] = 'Eg. ant will return Anthony, Mantle and Hant.';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['operator'] = 'field_lastname_value_op';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['identifier'] = 'field_lastname_value';
  $handler->display->display_options['filters']['field_lastname_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['field_lastname_value']['expose']['remember_roles'] = array(
    2 => 0,
    4 => '4',
    3 => '3',
    5 => '5',
    6 => '6',
    7 => '7',
    1 => 0,
  );
  /* Filter criterion: Content: Account status (field_account_status) */
  $handler->display->display_options['filters']['field_account_status_value']['id'] = 'field_account_status_value';
  $handler->display->display_options['filters']['field_account_status_value']['table'] = 'field_data_field_account_status';
  $handler->display->display_options['filters']['field_account_status_value']['field'] = 'field_account_status_value';
  $handler->display->display_options['filters']['field_account_status_value']['operator'] = 'not';
  $handler->display->display_options['filters']['field_account_status_value']['value'] = array(
    0 => '0',
  );
  $handler->display->display_options['filters']['field_account_status_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_account_status_value']['expose']['operator_id'] = 'field_account_status_value_op';
  $handler->display->display_options['filters']['field_account_status_value']['expose']['label'] = 'Status is not';
  $handler->display->display_options['filters']['field_account_status_value']['expose']['operator'] = 'field_account_status_value_op';
  $handler->display->display_options['filters']['field_account_status_value']['expose']['identifier'] = 'field_account_status_value';
  $handler->display->display_options['filters']['field_account_status_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['path'] = 'accounts';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Accounts';
  $handler->display->display_options['menu']['description'] = 'Accounts';
  $handler->display->display_options['menu']['weight'] = '25';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Account reference */
  $handler = $view->new_display('entityreference', 'Account reference', 'entityreference_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    4 => '4',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['defaults']['query'] = FALSE;
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'entityreference_style';
  $handler->display->display_options['style_options']['search_fields'] = array(
    'field_lastname' => 'field_lastname',
    'nid' => 0,
    'field_account_number' => 0,
    'field_firstname' => 0,
    'field_physical_address_postal_code' => 0,
    'field_physical_address_premise' => 0,
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'entityreference_fields';
  $handler->display->display_options['row_options']['inline'] = array(
    'nid' => 'nid',
    'field_account_number' => 'field_account_number',
    'field_firstname' => 'field_firstname',
    'field_lastname' => 'field_lastname',
    'field_physical_address_postal_code' => 'field_physical_address_postal_code',
    'field_physical_address_thoroughfare' => 'field_physical_address_thoroughfare',
  );
  $handler->display->display_options['row_options']['separator'] = ' ';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['relationships'] = FALSE;
  /* Relationship: Entity Reference: Referenced Entity */
  $handler->display->display_options['relationships']['field_account_owner_target_id']['id'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['table'] = 'field_data_field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['field'] = 'field_account_owner_target_id';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['label'] = 'Person entity referenced from field_account_owner';
  $handler->display->display_options['relationships']['field_account_owner_target_id']['required'] = TRUE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Account number */
  $handler->display->display_options['fields']['field_account_number']['id'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['table'] = 'field_data_field_account_number';
  $handler->display->display_options['fields']['field_account_number']['field'] = 'field_account_number';
  $handler->display->display_options['fields']['field_account_number']['label'] = '';
  $handler->display->display_options['fields']['field_account_number']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_account_number']['element_label_colon'] = FALSE;
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['field_firstname']['id'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['table'] = 'field_data_field_firstname';
  $handler->display->display_options['fields']['field_firstname']['field'] = 'field_firstname';
  $handler->display->display_options['fields']['field_firstname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_firstname']['label'] = '';
  $handler->display->display_options['fields']['field_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['field_lastname']['id'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['fields']['field_lastname']['field'] = 'field_lastname';
  $handler->display->display_options['fields']['field_lastname']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_lastname']['label'] = '';
  $handler->display->display_options['fields']['field_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_lastname']['alter']['text'] = '<em>[field_account_number] [field_lastname], [field_firstname]</em>';
  $handler->display->display_options['fields']['field_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Thoroughfare (i.e. Street address) */
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['id'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['field'] = 'field_physical_address_thoroughfare';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['exclude'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_thoroughfare']['element_label_colon'] = FALSE;
  /* Field: Content: Physical Address - Postal code */
  $handler->display->display_options['fields']['field_physical_address_postal_code']['id'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['table'] = 'field_data_field_physical_address';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['field'] = 'field_physical_address_postal_code';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['relationship'] = 'field_account_owner_target_id';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['label'] = '';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['field_physical_address_postal_code']['alter']['text'] = '([field_physical_address_thoroughfare], [field_physical_address_postal_code])';
  $handler->display->display_options['fields']['field_physical_address_postal_code']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Lastname (field_lastname) */
  $handler->display->display_options['sorts']['field_lastname_value']['id'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['table'] = 'field_data_field_lastname';
  $handler->display->display_options['sorts']['field_lastname_value']['field'] = 'field_lastname_value';
  $handler->display->display_options['sorts']['field_lastname_value']['relationship'] = 'field_account_owner_target_id';

  $views[$view->name] = $view;

  // Define the notifications view.
  $view = new view();
  $view->name = 'cura_notifications';
  $view->description = 'Display a list of notifications for the user.';
  $view->tag = 'cura';
  $view->base_table = 'cura_notifications';
  $view->human_name = 'Notifications';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Notifications';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '30';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Notification: Notification ID */
  $handler->display->display_options['fields']['notification_id']['id'] = 'notification_id';
  $handler->display->display_options['fields']['notification_id']['table'] = 'cura_notifications';
  $handler->display->display_options['fields']['notification_id']['field'] = 'notification_id';

  /* Display: Notifications */
  $handler = $view->new_display('block', 'Notifications', 'block');
  $handler->display->display_options['defaults']['css_class'] = FALSE;
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['style_options']['row_class'] = 'panel';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Notification: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_notifications';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['date']['date_format'] = 'long';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Notification: Label */
  $handler->display->display_options['fields']['label']['id'] = 'label';
  $handler->display->display_options['fields']['label']['table'] = 'cura_notifications';
  $handler->display->display_options['fields']['label']['field'] = 'label';
  $handler->display->display_options['fields']['label']['exclude'] = TRUE;
  $handler->display->display_options['fields']['label']['element_label_colon'] = FALSE;
  /* Field: Notification: Notes */
  $handler->display->display_options['fields']['notes']['id'] = 'notes';
  $handler->display->display_options['fields']['notes']['table'] = 'cura_notifications';
  $handler->display->display_options['fields']['notes']['field'] = 'notes';
  $handler->display->display_options['fields']['notes']['exclude'] = TRUE;
  $handler->display->display_options['fields']['notes']['element_label_colon'] = FALSE;
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = '';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<p class="panel-body"><small>[date] [label]</small><br>[notes]</p>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Notification: Date */
  $handler->display->display_options['sorts']['date']['id'] = 'date';
  $handler->display->display_options['sorts']['date']['table'] = 'cura_notifications';
  $handler->display->display_options['sorts']['date']['field'] = 'date';
  $handler->display->display_options['sorts']['date']['order'] = 'DESC';
  /* Sort criterion: Notification: Notification ID */
  $handler->display->display_options['sorts']['notification_id']['id'] = 'notification_id';
  $handler->display->display_options['sorts']['notification_id']['table'] = 'cura_notifications';
  $handler->display->display_options['sorts']['notification_id']['field'] = 'notification_id';
  $handler->display->display_options['sorts']['notification_id']['order'] = 'DESC';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Notification: User ID */
  $handler->display->display_options['arguments']['uid']['id'] = 'uid';
  $handler->display->display_options['arguments']['uid']['table'] = 'cura_notifications';
  $handler->display->display_options['arguments']['uid']['field'] = 'uid';
  $handler->display->display_options['arguments']['uid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['uid']['default_argument_type'] = 'current_user';
  $handler->display->display_options['arguments']['uid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['uid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['uid']['summary_options']['items_per_page'] = '25';

  $views[$view->name] = $view;

  // Define the session plans view.
  $view = new view();
  $view->name = 'cura_attendance_plans';
  $view->description = 'Display the attendance plans for a child.';
  $view->tag = 'cura';
  $view->base_table = 'cura_session_plans';
  $view->human_name = 'Attendance plans';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Attendance plans';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'cura_lastname',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
    1 => array(
      'field' => 'name',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['row_class_special'] = FALSE;
  $handler->display->display_options['style_options']['columns'] = array(
    'session_plan_id' => 'session_plan_id',
    'session_type_id' => 'session_type_id',
    'name' => 'name',
    'child_id' => 'child_id',
    'cura_firstname' => 'cura_firstname',
    'cura_lastname' => 'cura_lastname',
    'days' => 'days',
    'funding' => 'funding',
    'start' => 'start',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'session_plan_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'session_type_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'name' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'child_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cura_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cura_lastname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'days' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'funding' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'start' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['style_options']['summary'] = 'Attendance plans';
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['empty'] = TRUE;
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total session plans<a href="/admin/structure/session-plans/add" title="Add a new session plan">Add a session plan</a>';
  /* Relationship: Session plan: Session Type ID */
  $handler->display->display_options['relationships']['session_type_id']['id'] = 'session_type_id';
  $handler->display->display_options['relationships']['session_type_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['relationships']['session_type_id']['field'] = 'session_type_id';
  $handler->display->display_options['relationships']['session_type_id']['required'] = TRUE;
  /* Relationship: Session plan: Child ID */
  $handler->display->display_options['relationships']['child_id']['id'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['relationships']['child_id']['field'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['label'] = 'Child';
  $handler->display->display_options['relationships']['child_id']['required'] = TRUE;
  /* Field: Session plan: Session Plan ID */
  $handler->display->display_options['fields']['session_plan_id']['id'] = 'session_plan_id';
  $handler->display->display_options['fields']['session_plan_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['session_plan_id']['field'] = 'session_plan_id';
  $handler->display->display_options['fields']['session_plan_id']['exclude'] = TRUE;
  /* Field: Session plan: Session Type ID */
  $handler->display->display_options['fields']['session_type_id']['id'] = 'session_type_id';
  $handler->display->display_options['fields']['session_type_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['session_type_id']['field'] = 'session_type_id';
  $handler->display->display_options['fields']['session_type_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['session_type_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['session_type_id']['separator'] = '';
  /* Field: Session type: Name */
  $handler->display->display_options['fields']['name']['id'] = 'name';
  $handler->display->display_options['fields']['name']['table'] = 'cura_session_types';
  $handler->display->display_options['fields']['name']['field'] = 'name';
  $handler->display->display_options['fields']['name']['relationship'] = 'session_type_id';
  $handler->display->display_options['fields']['name']['label'] = 'Session type';
  $handler->display->display_options['fields']['name']['exclude'] = TRUE;
  $handler->display->display_options['fields']['name']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['name']['element_default_classes'] = FALSE;
  /* Field: Session plan: Child ID */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['child_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['child_id']['separator'] = '';
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_lastname']['label'] = 'Child';
  $handler->display->display_options['fields']['cura_lastname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['text'] = '[cura_lastname], [cura_firstname] ([child_id])';
  $handler->display->display_options['fields']['cura_lastname']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['path'] = 'child/[child_id]';
  $handler->display->display_options['fields']['cura_lastname']['element_type'] = 'h2';
  $handler->display->display_options['fields']['cura_lastname']['element_label_type'] = 'h2';
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['cura_lastname']['element_wrapper_type'] = 'h2';
  $handler->display->display_options['fields']['cura_lastname']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['cura_lastname']['type'] = 'text_plain';
  /* Field: Session plan: Days */
  $handler->display->display_options['fields']['days']['id'] = 'days';
  $handler->display->display_options['fields']['days']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['days']['field'] = 'days';
  $handler->display->display_options['fields']['days']['element_label_type'] = 'strong';
  $handler->display->display_options['fields']['days']['element_label_colon'] = FALSE;
  /* Field: Session plan: Funding */
  $handler->display->display_options['fields']['funding']['id'] = 'funding';
  $handler->display->display_options['fields']['funding']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['funding']['field'] = 'funding';
  $handler->display->display_options['fields']['funding']['element_label_type'] = 'strong';
  $handler->display->display_options['fields']['funding']['element_label_colon'] = FALSE;
  /* Field: Session plan: Start */
  $handler->display->display_options['fields']['start']['id'] = 'start';
  $handler->display->display_options['fields']['start']['table'] = 'cura_session_plans';
  $handler->display->display_options['fields']['start']['field'] = 'start';
  $handler->display->display_options['fields']['start']['label'] = 'Active from';
  $handler->display->display_options['fields']['start']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['start']['date_format'] = 'custom';
  $handler->display->display_options['fields']['start']['custom_date_format'] = 'D, d M Y';
  $handler->display->display_options['fields']['start']['second_date_format'] = 'long';
  /* Field: Global: Custom text */
  $handler->display->display_options['fields']['nothing']['id'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['table'] = 'views';
  $handler->display->display_options['fields']['nothing']['field'] = 'nothing';
  $handler->display->display_options['fields']['nothing']['label'] = 'Operations';
  $handler->display->display_options['fields']['nothing']['alter']['text'] = '<a href="/admin/structure/session-plans/manage/[session_plan_id]?destination=attendance/plans" title="Edit"><img src="/sites/default/files/edit.png"></a> <a href="/admin/structure/session-plans/manage/[session_plan_id]/delete?destination=attendance/plans" title="Delete"><img src="/sites/default/files/edittrash.png"></a>';
  $handler->display->display_options['fields']['nothing']['element_label_colon'] = FALSE;
  /* Sort criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['sorts']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['sorts']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['relationship'] = 'child_id';
  /* Sort criterion: Content: Firstname (cura_firstname) */
  $handler->display->display_options['sorts']['cura_firstname_value']['id'] = 'cura_firstname_value';
  $handler->display->display_options['sorts']['cura_firstname_value']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['sorts']['cura_firstname_value']['field'] = 'cura_firstname_value';
  $handler->display->display_options['sorts']['cura_firstname_value']['relationship'] = 'child_id';
  /* Sort criterion: Session type: Start */
  $handler->display->display_options['sorts']['start_1']['id'] = 'start_1';
  $handler->display->display_options['sorts']['start_1']['table'] = 'cura_session_types';
  $handler->display->display_options['sorts']['start_1']['field'] = 'start';
  $handler->display->display_options['sorts']['start_1']['relationship'] = 'session_type_id';
  /* Sort criterion: Session plan: Start */
  $handler->display->display_options['sorts']['start']['id'] = 'start';
  $handler->display->display_options['sorts']['start']['table'] = 'cura_session_plans';
  $handler->display->display_options['sorts']['start']['field'] = 'start';
  /* Filter criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['filters']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['relationship'] = 'child_id';
  $handler->display->display_options['filters']['cura_lastname_value']['operator'] = 'contains';
  $handler->display->display_options['filters']['cura_lastname_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator_id'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['label'] = 'Child lastname';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['operator'] = 'cura_lastname_value_op';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['identifier'] = 'cura_lastname_value';
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['cura_lastname_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );

  /* Display: Attendance plans */
  $handler = $view->new_display('page', 'Attendance plans', 'page');
  $handler->display->display_options['display_description'] = 'Attendance plans';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Session plan: Child ID */
  $handler->display->display_options['arguments']['child_id']['id'] = 'child_id';
  $handler->display->display_options['arguments']['child_id']['table'] = 'cura_session_plans';
  $handler->display->display_options['arguments']['child_id']['field'] = 'child_id';
  $handler->display->display_options['arguments']['child_id']['default_argument_type'] = 'fixed';
  $handler->display->display_options['arguments']['child_id']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['child_id']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['child_id']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['path'] = 'attendance/plans';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Attendance plans';
  $handler->display->display_options['menu']['weight'] = '15';
  $handler->display->display_options['menu']['name'] = 'cura-menu';

  $views[$view->name] = $view;

  // Define the sessions view.
  $view = new view();
  $view->name = 'cura_sessions';
  $view->description = 'Views to display session data.';
  $view->tag = 'cura';
  $view->base_table = 'cura_sessions';
  $view->human_name = 'Sessions';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Sessions';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['group_by'] = TRUE;
  $handler->display->display_options['access']['type'] = 'none';
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '24';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'date' => 'date',
    'child_id' => 'child_id',
    'hours' => 'hours',
    'amount' => 'amount',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'child_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'hours' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Go <a href="reports/average-hours-per-day">here</a> for a day and child breakdown.

    Displaying @start - @end of @total';
  /* Relationship: Session: Child_id */
  $handler->display->display_options['relationships']['child_id']['id'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['relationships']['child_id']['field'] = 'child_id';
  $handler->display->display_options['relationships']['child_id']['label'] = 'Child';
  $handler->display->display_options['relationships']['child_id']['required'] = TRUE;
  /* Field: Session: Child_id */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['label'] = 'Children';
  /* Field: SUM(Session: Hours) */
  $handler->display->display_options['fields']['hours']['id'] = 'hours';
  $handler->display->display_options['fields']['hours']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['hours']['field'] = 'hours';
  $handler->display->display_options['fields']['hours']['group_type'] = 'sum';
  $handler->display->display_options['fields']['hours']['precision'] = '0';
  /* Field: SUM(Session: Amount) */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['group_type'] = 'sum';
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '0';
  $handler->display->display_options['fields']['amount']['prefix'] = '£';
  /* Filter criterion: Session: Date */
  $handler->display->display_options['filters']['date']['id'] = 'date';
  $handler->display->display_options['filters']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date']['field'] = 'date';
  $handler->display->display_options['filters']['date']['operator'] = '>=';
  $handler->display->display_options['filters']['date']['value']['value'] = 'CCYY-MM-DD';
  $handler->display->display_options['filters']['date']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date']['expose']['operator_id'] = 'date_op';
  $handler->display->display_options['filters']['date']['expose']['label'] = 'Start';
  $handler->display->display_options['filters']['date']['expose']['operator'] = 'date_op';
  $handler->display->display_options['filters']['date']['expose']['identifier'] = 'date';
  $handler->display->display_options['filters']['date']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['date']['group_info']['label'] = 'Date';
  $handler->display->display_options['filters']['date']['group_info']['identifier'] = 'date';
  $handler->display->display_options['filters']['date']['group_info']['remember'] = 1;
  $handler->display->display_options['filters']['date']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Start',
      'operator' => '>=',
      'value' => array(
	'type' => 'date',
	'value' => 'CCYY-MM',
	'min' => '',
	'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Finish',
      'operator' => '<=',
      'value' => array(
	'type' => 'date',
	'value' => 'CCYY-MM',
	'min' => '',
	'max' => '',
      ),
    ),
  );
  /* Filter criterion: Session: Date */
  $handler->display->display_options['filters']['date_1']['id'] = 'date_1';
  $handler->display->display_options['filters']['date_1']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date_1']['field'] = 'date';
  $handler->display->display_options['filters']['date_1']['operator'] = '<=';
  $handler->display->display_options['filters']['date_1']['value']['value'] = 'CCYY-MM-DD';
  $handler->display->display_options['filters']['date_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date_1']['expose']['operator_id'] = 'date_1_op';
  $handler->display->display_options['filters']['date_1']['expose']['label'] = 'Finish';
  $handler->display->display_options['filters']['date_1']['expose']['operator'] = 'date_1_op';
  $handler->display->display_options['filters']['date_1']['expose']['identifier'] = 'date_1';
  $handler->display->display_options['filters']['date_1']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Content: Nid */
  $handler->display->display_options['filters']['nid']['id'] = 'nid';
  $handler->display->display_options['filters']['nid']['table'] = 'node';
  $handler->display->display_options['filters']['nid']['field'] = 'nid';
  $handler->display->display_options['filters']['nid']['relationship'] = 'child_id';
  $handler->display->display_options['filters']['nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['nid']['expose']['operator_id'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['label'] = 'Child';
  $handler->display->display_options['filters']['nid']['expose']['operator'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['identifier'] = 'nid';
  $handler->display->display_options['filters']['nid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['nid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );

  /* Display: Sessions */
  $handler = $view->new_display('page', 'Sessions', 'page');
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'date' => 'date',
    'child_id' => 'child_id',
    'hours' => 'hours',
    'amount' => 'amount',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'child_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'hours' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['header']['result']['content'] = 'Displaying @start - @end of @total <a href="reports/average-hours-per-day">Day and child detail here</a>';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: MIN(Session: Date) */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['group_type'] = 'min';
  $handler->display->display_options['fields']['date']['label'] = 'Month';
  $handler->display->display_options['fields']['date']['date_format'] = 'january_1900';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'm Y';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: COUNT(DISTINCT Session: Child_id) */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['group_type'] = 'count_distinct';
  $handler->display->display_options['fields']['child_id']['label'] = 'Children';
  $handler->display->display_options['fields']['child_id']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['child_id']['element_label_class'] = 'text-right';
  /* Field: SUM(Session: Hours) */
  $handler->display->display_options['fields']['hours']['id'] = 'hours';
  $handler->display->display_options['fields']['hours']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['hours']['field'] = 'hours';
  $handler->display->display_options['fields']['hours']['group_type'] = 'sum';
  $handler->display->display_options['fields']['hours']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['hours']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['hours']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['hours']['precision'] = '0';
  /* Field: SUM(Session: Hours_f) */
  $handler->display->display_options['fields']['hours_f']['id'] = 'hours_f';
  $handler->display->display_options['fields']['hours_f']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['hours_f']['field'] = 'hours_f';
  $handler->display->display_options['fields']['hours_f']['group_type'] = 'sum';
  $handler->display->display_options['fields']['hours_f']['label'] = 'Funded Hours';
  $handler->display->display_options['fields']['hours_f']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['hours_f']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['hours_f']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['hours_f']['precision'] = '0';
  /* Field: SUM(Session: Amount) */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['group_type'] = 'sum';
  $handler->display->display_options['fields']['amount']['element_class'] = 'text-right';
  $handler->display->display_options['fields']['amount']['element_label_class'] = 'text-right';
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '0';
  $handler->display->display_options['fields']['amount']['prefix'] = '£';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Session: Date */
  $handler->display->display_options['sorts']['date']['id'] = 'date';
  $handler->display->display_options['sorts']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['sorts']['date']['field'] = 'date';
  $handler->display->display_options['sorts']['date']['granularity'] = 'month';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Date: Date (cura_sessions) */
  $handler->display->display_options['filters']['date_filter']['id'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date_filter']['field'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['operator'] = '>=';
  $handler->display->display_options['filters']['date_filter']['group'] = 1;
  $handler->display->display_options['filters']['date_filter']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date_filter']['expose']['operator_id'] = 'date_filter_op';
  $handler->display->display_options['filters']['date_filter']['expose']['label'] = 'Start';
  $handler->display->display_options['filters']['date_filter']['expose']['operator'] = 'date_filter_op';
  $handler->display->display_options['filters']['date_filter']['expose']['identifier'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date_filter']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['date_filter']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['date_filter']['year_range'] = '-5:+3';
  $handler->display->display_options['filters']['date_filter']['date_fields'] = array(
    'cura_sessions.date' => 'cura_sessions.date',
  );
  /* Filter criterion: Date: Date (cura_sessions) */
  $handler->display->display_options['filters']['date_filter_1']['id'] = 'date_filter_1';
  $handler->display->display_options['filters']['date_filter_1']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date_filter_1']['field'] = 'date_filter';
  $handler->display->display_options['filters']['date_filter_1']['operator'] = '<=';
  $handler->display->display_options['filters']['date_filter_1']['group'] = 1;
  $handler->display->display_options['filters']['date_filter_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date_filter_1']['expose']['operator_id'] = 'date_filter_1_op';
  $handler->display->display_options['filters']['date_filter_1']['expose']['label'] = 'Finish';
  $handler->display->display_options['filters']['date_filter_1']['expose']['operator'] = 'date_filter_1_op';
  $handler->display->display_options['filters']['date_filter_1']['expose']['identifier'] = 'date_filter_1';
  $handler->display->display_options['filters']['date_filter_1']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date_filter_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['date_filter_1']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['date_filter_1']['year_range'] = '-5:+3';
  $handler->display->display_options['filters']['date_filter_1']['date_fields'] = array(
    'cura_sessions.date' => 'cura_sessions.date',
  );
  /* Filter criterion: Session: Child_id */
  $handler->display->display_options['filters']['child_id']['id'] = 'child_id';
  $handler->display->display_options['filters']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['child_id']['field'] = 'child_id';
  $handler->display->display_options['filters']['child_id']['group'] = 1;
  $handler->display->display_options['filters']['child_id']['exposed'] = TRUE;
  $handler->display->display_options['filters']['child_id']['expose']['operator_id'] = 'child_id_op';
  $handler->display->display_options['filters']['child_id']['expose']['label'] = 'Child ID';
  $handler->display->display_options['filters']['child_id']['expose']['operator'] = 'child_id_op';
  $handler->display->display_options['filters']['child_id']['expose']['identifier'] = 'child_id';
  $handler->display->display_options['filters']['child_id']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['child_id']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['path'] = 'sessions';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Sessions';
  $handler->display->display_options['menu']['weight'] = '20';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Average hours per day */
  $handler = $view->new_display('page', 'Average hours per day', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Average hours per day';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'full';
  $handler->display->display_options['pager']['options']['items_per_page'] = '50';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['pager']['options']['id'] = '0';
  $handler->display->display_options['pager']['options']['quantity'] = '9';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['grouping'] = array(
    0 => array(
      'field' => 'date',
      'rendered' => 1,
      'rendered_strip' => 0,
    ),
  );
  $handler->display->display_options['style_options']['columns'] = array(
    'date' => 'date',
    'dow' => 'dow',
    'child_id' => 'child_id',
    'hours' => 'hours',
    'amount' => 'amount',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'dow' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'child_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'hours' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  /* Header: Global: Result summary */
  $handler->display->display_options['header']['result']['id'] = 'result';
  $handler->display->display_options['header']['result']['table'] = 'views';
  $handler->display->display_options['header']['result']['field'] = 'result';
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Session: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['label'] = 'Week number';
  $handler->display->display_options['fields']['date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'W';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Session: Date */
  $handler->display->display_options['fields']['date_1']['id'] = 'date_1';
  $handler->display->display_options['fields']['date_1']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['date_1']['field'] = 'date';
  $handler->display->display_options['fields']['date_1']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['date_1']['alter']['path'] = 'reports/hours-per-child-per-day/[date_1]';
  $handler->display->display_options['fields']['date_1']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['date_1']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date_1']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['date_1']['second_date_format'] = 'long';
  /* Field: Session: Dow */
  $handler->display->display_options['fields']['dow']['id'] = 'dow';
  $handler->display->display_options['fields']['dow']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['dow']['field'] = 'dow';
  $handler->display->display_options['fields']['dow']['label'] = 'Day of week';
  /* Field: COUNT(DISTINCT Session: Child_id) */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['group_type'] = 'count_distinct';
  $handler->display->display_options['fields']['child_id']['label'] = 'Children';
  /* Field: SUM(Session: Hours) */
  $handler->display->display_options['fields']['hours']['id'] = 'hours';
  $handler->display->display_options['fields']['hours']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['hours']['field'] = 'hours';
  $handler->display->display_options['fields']['hours']['group_type'] = 'sum';
  $handler->display->display_options['fields']['hours']['precision'] = '0';
  /* Field: SUM(Session: Amount) */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['group_type'] = 'sum';
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['prefix'] = '£';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Session: Date */
  $handler->display->display_options['filters']['date']['id'] = 'date';
  $handler->display->display_options['filters']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date']['field'] = 'date';
  $handler->display->display_options['filters']['date']['operator'] = '>=';
  $handler->display->display_options['filters']['date']['value']['value'] = '2014-09-01';
  $handler->display->display_options['filters']['date']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date']['expose']['operator_id'] = 'date_op';
  $handler->display->display_options['filters']['date']['expose']['label'] = 'Start';
  $handler->display->display_options['filters']['date']['expose']['operator'] = 'date_op';
  $handler->display->display_options['filters']['date']['expose']['identifier'] = 'date';
  $handler->display->display_options['filters']['date']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['filters']['date']['group_info']['label'] = 'Date';
  $handler->display->display_options['filters']['date']['group_info']['identifier'] = 'date';
  $handler->display->display_options['filters']['date']['group_info']['remember'] = 1;
  $handler->display->display_options['filters']['date']['group_info']['group_items'] = array(
    1 => array(
      'title' => 'Start',
      'operator' => '>=',
      'value' => array(
	'type' => 'date',
	'value' => 'CCYY-MM',
	'min' => '',
	'max' => '',
      ),
    ),
    2 => array(
      'title' => 'Finish',
      'operator' => '<=',
      'value' => array(
	'type' => 'date',
	'value' => 'CCYY-MM',
	'min' => '',
	'max' => '',
      ),
    ),
  );
  /* Filter criterion: Session: Date */
  $handler->display->display_options['filters']['date_1']['id'] = 'date_1';
  $handler->display->display_options['filters']['date_1']['table'] = 'cura_sessions';
  $handler->display->display_options['filters']['date_1']['field'] = 'date';
  $handler->display->display_options['filters']['date_1']['operator'] = '<=';
  $handler->display->display_options['filters']['date_1']['value']['value'] = '2014-12-19';
  $handler->display->display_options['filters']['date_1']['exposed'] = TRUE;
  $handler->display->display_options['filters']['date_1']['expose']['operator_id'] = 'date_1_op';
  $handler->display->display_options['filters']['date_1']['expose']['label'] = 'Finish';
  $handler->display->display_options['filters']['date_1']['expose']['operator'] = 'date_1_op';
  $handler->display->display_options['filters']['date_1']['expose']['identifier'] = 'date_1';
  $handler->display->display_options['filters']['date_1']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['date_1']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  /* Filter criterion: Content: Nid */
  $handler->display->display_options['filters']['nid']['id'] = 'nid';
  $handler->display->display_options['filters']['nid']['table'] = 'node';
  $handler->display->display_options['filters']['nid']['field'] = 'nid';
  $handler->display->display_options['filters']['nid']['relationship'] = 'child_id';
  $handler->display->display_options['filters']['nid']['exposed'] = TRUE;
  $handler->display->display_options['filters']['nid']['expose']['operator_id'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['label'] = 'Child';
  $handler->display->display_options['filters']['nid']['expose']['operator'] = 'nid_op';
  $handler->display->display_options['filters']['nid']['expose']['identifier'] = 'nid';
  $handler->display->display_options['filters']['nid']['expose']['remember'] = TRUE;
  $handler->display->display_options['filters']['nid']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
    8 => 0,
  );
  $handler->display->display_options['path'] = 'reports/average-hours-per-day';

  /* Display: Hours per child per day */
  $handler = $view->new_display('page', 'Hours per child per day', 'page_2');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Hours per child per day';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'date_views_pager';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'date' => 'date',
    'child_id' => 'child_id',
    'cura_firstname' => 'cura_firstname',
    'cura_lastname' => 'cura_lastname',
    'hours' => 'hours',
    'amount' => 'amount',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'date' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'child_id' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cura_firstname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'cura_lastname' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'hours' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'amount' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['header'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Session: Date */
  $handler->display->display_options['fields']['date']['id'] = 'date';
  $handler->display->display_options['fields']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['date']['field'] = 'date';
  $handler->display->display_options['fields']['date']['exclude'] = TRUE;
  $handler->display->display_options['fields']['date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['date']['date_format'] = 'custom';
  $handler->display->display_options['fields']['date']['custom_date_format'] = 'Y-m-d';
  $handler->display->display_options['fields']['date']['second_date_format'] = 'long';
  /* Field: Session: Child_id */
  $handler->display->display_options['fields']['child_id']['id'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['child_id']['field'] = 'child_id';
  $handler->display->display_options['fields']['child_id']['label'] = 'Child ID';
  $handler->display->display_options['fields']['child_id']['exclude'] = TRUE;
  $handler->display->display_options['fields']['child_id']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['child_id']['separator'] = '';
  /* Field: Content: Firstname */
  $handler->display->display_options['fields']['cura_firstname']['id'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['field'] = 'cura_firstname';
  $handler->display->display_options['fields']['cura_firstname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_firstname']['exclude'] = TRUE;
  $handler->display->display_options['fields']['cura_firstname']['element_label_colon'] = FALSE;
  /* Field: Content: Lastname */
  $handler->display->display_options['fields']['cura_lastname']['id'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['field'] = 'cura_lastname';
  $handler->display->display_options['fields']['cura_lastname']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['cura_lastname']['label'] = 'Child';
  $handler->display->display_options['fields']['cura_lastname']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['cura_lastname']['alter']['text'] = '[cura_lastname], [cura_firstname] ([child_id])';
  $handler->display->display_options['fields']['cura_lastname']['element_label_colon'] = FALSE;
  /* Field: Content: Start date */
  $handler->display->display_options['fields']['field_child_start_date']['id'] = 'field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['table'] = 'field_data_field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['field'] = 'field_child_start_date';
  $handler->display->display_options['fields']['field_child_start_date']['relationship'] = 'child_id';
  $handler->display->display_options['fields']['field_child_start_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_child_start_date']['settings'] = array(
    'format_type' => 'medium',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  /* Field: SUM(Session: Hours) */
  $handler->display->display_options['fields']['hours']['id'] = 'hours';
  $handler->display->display_options['fields']['hours']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['hours']['field'] = 'hours';
  $handler->display->display_options['fields']['hours']['group_type'] = 'sum';
  $handler->display->display_options['fields']['hours']['precision'] = '0';
  /* Field: SUM(Session: Amount) */
  $handler->display->display_options['fields']['amount']['id'] = 'amount';
  $handler->display->display_options['fields']['amount']['table'] = 'cura_sessions';
  $handler->display->display_options['fields']['amount']['field'] = 'amount';
  $handler->display->display_options['fields']['amount']['group_type'] = 'sum';
  $handler->display->display_options['fields']['amount']['set_precision'] = TRUE;
  $handler->display->display_options['fields']['amount']['precision'] = '2';
  $handler->display->display_options['fields']['amount']['prefix'] = '£';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Session: Date */
  $handler->display->display_options['sorts']['date']['id'] = 'date';
  $handler->display->display_options['sorts']['date']['table'] = 'cura_sessions';
  $handler->display->display_options['sorts']['date']['field'] = 'date';
  $handler->display->display_options['sorts']['date']['granularity'] = 'day';
  /* Sort criterion: Content: Lastname (cura_lastname) */
  $handler->display->display_options['sorts']['cura_lastname_value']['id'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['table'] = 'field_data_cura_lastname';
  $handler->display->display_options['sorts']['cura_lastname_value']['field'] = 'cura_lastname_value';
  $handler->display->display_options['sorts']['cura_lastname_value']['relationship'] = 'child_id';
  /* Sort criterion: Content: Firstname (cura_firstname) */
  $handler->display->display_options['sorts']['cura_firstname_value']['id'] = 'cura_firstname_value';
  $handler->display->display_options['sorts']['cura_firstname_value']['table'] = 'field_data_cura_firstname';
  $handler->display->display_options['sorts']['cura_firstname_value']['field'] = 'cura_firstname_value';
  $handler->display->display_options['sorts']['cura_firstname_value']['relationship'] = 'child_id';
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Date: Date (cura_sessions) */
  $handler->display->display_options['arguments']['date_argument']['id'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['table'] = 'cura_sessions';
  $handler->display->display_options['arguments']['date_argument']['field'] = 'date_argument';
  $handler->display->display_options['arguments']['date_argument']['default_action'] = 'default';
  $handler->display->display_options['arguments']['date_argument']['default_argument_type'] = 'date';
  $handler->display->display_options['arguments']['date_argument']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['date_argument']['granularity'] = 'day';
  $handler->display->display_options['arguments']['date_argument']['date_fields'] = array(
    'cura_sessions.date' => 'cura_sessions.date',
  );
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  $handler->display->display_options['path'] = 'reports/hours-per-child-per-day';

  $views[$view->name] = $view;

  // Define the meetings view.
  $view = new view();
  $view->name = 'cura_meeting';
  $view->description = 'List of meetings.';
  $view->tag = 'cura';
  $view->base_table = 'node';
  $view->human_name = 'Meeting';
  $view->core = 7;
  $view->api_version = '3.0';
  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */

  /* Display: Master */
  $handler = $view->new_display('default', 'Master', 'default');
  $handler->display->display_options['title'] = 'Meetings';
  $handler->display->display_options['use_more_always'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['cache']['type'] = 'none';
  $handler->display->display_options['query']['type'] = 'views_query';
  $handler->display->display_options['exposed_form']['type'] = 'basic';
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['style_plugin'] = 'table';
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Meeting';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'meeting/[title]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'meeting' => 'meeting',
  );
  /* Filter criterion: Meeting start date */
  $handler->display->display_options['filters']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['ui_name'] = 'Meeting start date';
  $handler->display->display_options['filters']['field_calendar_date_value']['operator'] = '<=';
  $handler->display->display_options['filters']['field_calendar_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator_id'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['label'] = 'Meeting start';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['description'] = 'Show meetings before or on this date';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['identifier'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value']['default_date'] = 'now';
  $handler->display->display_options['filters']['field_calendar_date_value']['year_range'] = '-5:+5';

  /* Display: Meetings */
  $handler = $view->new_display('page', 'Meetings', 'page');
  $handler->display->display_options['display_description'] = 'Meetings';
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '20';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'table';
  $handler->display->display_options['style_options']['columns'] = array(
    'title' => 'title',
    'field_calendar_date' => 'field_calendar_date',
    'field_meeting_location' => 'field_meeting_location',
    'field_chair' => 'field_chair',
    'field_meeting_description' => 'field_meeting_description',
    'field_meeting_invitees' => 'field_meeting_invitees',
    'field_meeting_agenda' => 'field_meeting_agenda',
    'field_meeting_attendees' => 'field_meeting_attendees',
    'field_meeting_minutes' => 'field_meeting_minutes',
  );
  $handler->display->display_options['style_options']['default'] = '-1';
  $handler->display->display_options['style_options']['info'] = array(
    'title' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_calendar_date' => array(
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_location' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_chair' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_description' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_invitees' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_agenda' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_attendees' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
    'field_meeting_minutes' => array(
      'sortable' => 0,
      'default_sort_order' => 'asc',
      'align' => '',
      'separator' => '',
      'empty_column' => 0,
    ),
  );
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Nid */
  $handler->display->display_options['fields']['nid']['id'] = 'nid';
  $handler->display->display_options['fields']['nid']['table'] = 'node';
  $handler->display->display_options['fields']['nid']['field'] = 'nid';
  $handler->display->display_options['fields']['nid']['label'] = '';
  $handler->display->display_options['fields']['nid']['exclude'] = TRUE;
  $handler->display->display_options['fields']['nid']['element_label_colon'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = 'Meeting';
  $handler->display->display_options['fields']['title']['alter']['alter_text'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['text'] = '[title]<br><a href="/node/[nid]/edit?destination=meetings">Edit</a>';
  $handler->display->display_options['fields']['title']['alter']['make_link'] = TRUE;
  $handler->display->display_options['fields']['title']['alter']['path'] = 'meeting/[nid]';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['title']['link_to_node'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = 'Date';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  $handler->display->display_options['defaults']['sorts'] = FALSE;
  /* Sort criterion: Content: Meeting Date -  start date (field_calendar_date) */
  $handler->display->display_options['sorts']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['sorts']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['sorts']['field_calendar_date_value']['exposed'] = TRUE;
  $handler->display->display_options['sorts']['field_calendar_date_value']['expose']['label'] = 'Meeting start';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'meeting' => 'meeting',
  );
  /* Filter criterion: Meeting start date */
  $handler->display->display_options['filters']['field_calendar_date_value']['id'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['filters']['field_calendar_date_value']['field'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['ui_name'] = 'Meeting start date';
  $handler->display->display_options['filters']['field_calendar_date_value']['operator'] = '>=';
  $handler->display->display_options['filters']['field_calendar_date_value']['exposed'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator_id'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['label'] = 'Meeting start';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['description'] = 'Show meetings from this date';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['operator'] = 'field_calendar_date_value_op';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['identifier'] = 'field_calendar_date_value';
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['required'] = TRUE;
  $handler->display->display_options['filters']['field_calendar_date_value']['expose']['remember_roles'] = array(
    2 => '2',
    1 => 0,
    4 => 0,
    3 => 0,
    5 => 0,
    6 => 0,
    7 => 0,
  );
  $handler->display->display_options['filters']['field_calendar_date_value']['form_type'] = 'date_popup';
  $handler->display->display_options['filters']['field_calendar_date_value']['default_date'] = 'now -6 months';
  $handler->display->display_options['filters']['field_calendar_date_value']['year_range'] = '-5:+5';
  $handler->display->display_options['path'] = 'meetings';
  $handler->display->display_options['menu']['type'] = 'normal';
  $handler->display->display_options['menu']['title'] = 'Meetings';
  $handler->display->display_options['menu']['weight'] = '45';
  $handler->display->display_options['menu']['name'] = 'cura-menu';
  $handler->display->display_options['menu']['context'] = 0;
  $handler->display->display_options['menu']['context_only_inline'] = 0;

  /* Display: Meeting */
  $handler = $view->new_display('page', 'Meeting', 'page_1');
  $handler->display->display_options['defaults']['title'] = FALSE;
  $handler->display->display_options['title'] = 'Meeting';
  $handler->display->display_options['display_description'] = 'Display for a single meeting';
  $handler->display->display_options['defaults']['access'] = FALSE;
  $handler->display->display_options['access']['type'] = 'role';
  $handler->display->display_options['access']['role'] = array(
    8 => '8',
    5 => '5',
    6 => '6',
    7 => '7',
    3 => '3',
  );
  $handler->display->display_options['defaults']['pager'] = FALSE;
  $handler->display->display_options['pager']['type'] = 'some';
  $handler->display->display_options['pager']['options']['items_per_page'] = '10';
  $handler->display->display_options['pager']['options']['offset'] = '0';
  $handler->display->display_options['defaults']['style_plugin'] = FALSE;
  $handler->display->display_options['style_plugin'] = 'default';
  $handler->display->display_options['defaults']['style_options'] = FALSE;
  $handler->display->display_options['defaults']['row_plugin'] = FALSE;
  $handler->display->display_options['row_plugin'] = 'fields';
  $handler->display->display_options['defaults']['row_options'] = FALSE;
  $handler->display->display_options['defaults']['fields'] = FALSE;
  /* Field: Content: Title */
  $handler->display->display_options['fields']['title']['id'] = 'title';
  $handler->display->display_options['fields']['title']['table'] = 'node';
  $handler->display->display_options['fields']['title']['field'] = 'title';
  $handler->display->display_options['fields']['title']['label'] = '';
  $handler->display->display_options['fields']['title']['alter']['word_boundary'] = FALSE;
  $handler->display->display_options['fields']['title']['alter']['ellipsis'] = FALSE;
  $handler->display->display_options['fields']['title']['element_type'] = 'h2';
  $handler->display->display_options['fields']['title']['element_label_colon'] = FALSE;
  /* Field: Content: Meeting Date */
  $handler->display->display_options['fields']['field_calendar_date']['id'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['table'] = 'field_data_field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['field'] = 'field_calendar_date';
  $handler->display->display_options['fields']['field_calendar_date']['label'] = '';
  $handler->display->display_options['fields']['field_calendar_date']['element_type'] = '0';
  $handler->display->display_options['fields']['field_calendar_date']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['element_default_classes'] = FALSE;
  $handler->display->display_options['fields']['field_calendar_date']['settings'] = array(
    'format_type' => 'long',
    'fromto' => 'both',
    'multiple_number' => '',
    'multiple_from' => '',
    'multiple_to' => '',
    'show_repeat_rule' => 'show',
  );
  $handler->display->display_options['fields']['field_calendar_date']['delta_offset'] = '0';
  /* Field: Content: Location */
  $handler->display->display_options['fields']['field_meeting_location']['id'] = 'field_meeting_location';
  $handler->display->display_options['fields']['field_meeting_location']['table'] = 'field_data_field_meeting_location';
  $handler->display->display_options['fields']['field_meeting_location']['field'] = 'field_meeting_location';
  $handler->display->display_options['fields']['field_meeting_location']['label'] = '';
  $handler->display->display_options['fields']['field_meeting_location']['element_type'] = '0';
  $handler->display->display_options['fields']['field_meeting_location']['element_class'] = 'views-field-field-calendar-date';
  $handler->display->display_options['fields']['field_meeting_location']['element_label_colon'] = FALSE;
  /* Field: Content: Chair */
  $handler->display->display_options['fields']['field_chair']['id'] = 'field_chair';
  $handler->display->display_options['fields']['field_chair']['table'] = 'field_data_field_chair';
  $handler->display->display_options['fields']['field_chair']['field'] = 'field_chair';
  $handler->display->display_options['fields']['field_chair']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_chair']['element_label_colon'] = FALSE;
  $handler->display->display_options['fields']['field_chair']['settings'] = array(
    'link' => 0,
  );
  /* Field: Content: Description */
  $handler->display->display_options['fields']['field_meeting_description']['id'] = 'field_meeting_description';
  $handler->display->display_options['fields']['field_meeting_description']['table'] = 'field_data_field_meeting_description';
  $handler->display->display_options['fields']['field_meeting_description']['field'] = 'field_meeting_description';
  $handler->display->display_options['fields']['field_meeting_description']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_meeting_description']['element_label_colon'] = FALSE;
  /* Field: Content: Invitees */
  $handler->display->display_options['fields']['field_meeting_invitees']['id'] = 'field_meeting_invitees';
  $handler->display->display_options['fields']['field_meeting_invitees']['table'] = 'field_data_field_meeting_invitees';
  $handler->display->display_options['fields']['field_meeting_invitees']['field'] = 'field_meeting_invitees';
  $handler->display->display_options['fields']['field_meeting_invitees']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_meeting_invitees']['element_label_colon'] = FALSE;
  /* Field: Content: Agenda */
  $handler->display->display_options['fields']['field_meeting_agenda']['id'] = 'field_meeting_agenda';
  $handler->display->display_options['fields']['field_meeting_agenda']['table'] = 'field_data_field_meeting_agenda';
  $handler->display->display_options['fields']['field_meeting_agenda']['field'] = 'field_meeting_agenda';
  $handler->display->display_options['fields']['field_meeting_agenda']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_meeting_agenda']['element_label_colon'] = FALSE;
  /* Field: Content: Attendees */
  $handler->display->display_options['fields']['field_meeting_attendees']['id'] = 'field_meeting_attendees';
  $handler->display->display_options['fields']['field_meeting_attendees']['table'] = 'field_data_field_meeting_attendees';
  $handler->display->display_options['fields']['field_meeting_attendees']['field'] = 'field_meeting_attendees';
  $handler->display->display_options['fields']['field_meeting_attendees']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_meeting_attendees']['element_label_colon'] = FALSE;
  /* Field: Content: Minutes */
  $handler->display->display_options['fields']['field_meeting_minutes']['id'] = 'field_meeting_minutes';
  $handler->display->display_options['fields']['field_meeting_minutes']['table'] = 'field_data_field_meeting_minutes';
  $handler->display->display_options['fields']['field_meeting_minutes']['field'] = 'field_meeting_minutes';
  $handler->display->display_options['fields']['field_meeting_minutes']['element_label_type'] = 'h3';
  $handler->display->display_options['fields']['field_meeting_minutes']['element_label_colon'] = FALSE;
  $handler->display->display_options['defaults']['arguments'] = FALSE;
  /* Contextual filter: Content: Nid */
  $handler->display->display_options['arguments']['nid']['id'] = 'nid';
  $handler->display->display_options['arguments']['nid']['table'] = 'node';
  $handler->display->display_options['arguments']['nid']['field'] = 'nid';
  $handler->display->display_options['arguments']['nid']['default_action'] = 'default';
  $handler->display->display_options['arguments']['nid']['default_argument_type'] = 'node';
  $handler->display->display_options['arguments']['nid']['summary']['number_of_records'] = '0';
  $handler->display->display_options['arguments']['nid']['summary']['format'] = 'default_summary';
  $handler->display->display_options['arguments']['nid']['summary_options']['items_per_page'] = '25';
  $handler->display->display_options['defaults']['filter_groups'] = FALSE;
  $handler->display->display_options['defaults']['filters'] = FALSE;
  /* Filter criterion: Content: Published */
  $handler->display->display_options['filters']['status']['id'] = 'status';
  $handler->display->display_options['filters']['status']['table'] = 'node';
  $handler->display->display_options['filters']['status']['field'] = 'status';
  $handler->display->display_options['filters']['status']['value'] = 1;
  $handler->display->display_options['filters']['status']['group'] = 1;
  $handler->display->display_options['filters']['status']['expose']['operator'] = FALSE;
  /* Filter criterion: Content: Type */
  $handler->display->display_options['filters']['type']['id'] = 'type';
  $handler->display->display_options['filters']['type']['table'] = 'node';
  $handler->display->display_options['filters']['type']['field'] = 'type';
  $handler->display->display_options['filters']['type']['value'] = array(
    'meeting' => 'meeting',
  );
  $handler->display->display_options['path'] = 'meeting';

  $views[$view->name] = $view;

  return $views;
}

